from abaqus import *
from abaqusConstants import *

def offset(nodeOffset, elementOffset):
    """
    Method to offset node and element numbers.

    Required arguments:
    nodeOffset: A float specifying the offset for node number.
    elementOffset:  A float specifying the offset for element number.
    """
    
    vp = session.currentViewportName
    model = session.sessionState[vp]['modelName']
    m = mdb.models[model]
    m.setValues(noPartsInputFile=ON)
    os.environ['HKS_AIF_NODEOFFSET'] = str(nodeOffset)
    os.environ['HKS_AIF_ELEMENTOFFSET']= str(elementOffset)
    
    print 'Input file in model ' + repr(model) + \
          ' will be written in flattened format'
    print 'Node numbers will start at', nodeOffset+1
    print 'Element numbers will start at', elementOffset+1
