"""
Script to set user specified colors for the displayed XYPlot curves.
"""

from xyPlot import XYPlotType
from abaqus import session

# Available colors: Black, White, Red, Orange, Blue, Violet
# Medium blue, Sky blue, Cyan, Aqua, Green, Spring green,
# Yellow, Gold, Dark gold, Chartreuse, Grey 20, Grey 60, Grey 80
# modify the defaultColors list below as desired

defaultColors = ['Red', 'Yellow', 'Orange', 'Blue', 'Violet', 'Aqua', 'Green']
numColors = len(defaultColors)

def recolor():
    """
    Method to recolor the displayed curves
    """
    displayedObject = session.viewports[session.currentViewportName].displayedObject

    if type(displayedObject) != XYPlotType:
        raise ValueError, 'XYPlot must be displayed in the current viewport.'

    i = 0
    for curveName in displayedObject.curvesToPlot:
        curve = displayedObject.curves[curveName]
        curve.curveOptions.setValues(lineColor = defaultColors[i % numColors])
        i += 1


