from abaqusGui import *
from abq_Czone.czoneDB import CzoneDB
import osutils, os
from abaqusConstants import *


###########################################################################
# Class definition
###########################################################################

class CzoneForm(AFXForm):
    
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):
        # Construct the base class.
        #
        AFXForm.__init__(self, owner)
        self.radioButtonGroups = {}
        self.cmd = AFXGuiCommand(mode=self, method='writeDeactivate',
            objectName='abq_Czone.czoneUtils', registerQuery=False)
        pickedDefault = ''
        self.tsaiwuListKw = AFXStringKeyword(self.cmd, 'tsaiWuDefList', False, '')
        self.czoneDefListKw = AFXStringKeyword(self.cmd, 'cZoneDefList', False, '')
        self.surfIntDefListKw = AFXStringKeyword(self.cmd, 'surfInteractionDefList', False, '')
        #self.initCondDefListKw = AFXStringKeyword(self.cmd, 'initialCondDefList', False, '')
        self.czdeactivateKw = AFXBoolKeyword(self.cmd, 'isCzDeactivatedStatus', AFXBoolKeyword.TRUE_FALSE, False, True)
        self.currentModelName = getCurrentContext()['modelName']


    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def activate(self):
        
        self.currentModelName = getCurrentContext()['modelName']

        if not self.currentModelName in mdb.customData.czone.models.keys():
            showAFXErrorDialog(getAFXApp().getAFXMainWindow(),'CZA Plug-in cannot be loaded for this model.\nPlease contact SIMULIA Support.')
            return None
        return AFXForm.activate(self)


    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
    def getFirstDialog(self):


        return CzoneDB(self)

