from abaqusConstants import *
from abaqusGui import *
from kernelAccess import mdb, session
import os

thisPath = os.path.abspath(__file__)
thisDir = os.path.dirname(thisPath)


###########################################################################
# Class definition
###########################################################################

class InitialConditionDB(AFXDataDialog):
    #numInstance = 0
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form):

        # Construct the base class.
        #
	#InitialConditionDB.numInstance +=1
        AFXDataDialog.__init__(self, form, 'Predefined Field',
            self.OK|self.CANCEL)
        #getAFXAliasMap().setPrefix(self, 'initCondDB-%d' %InitialConditionDB.numInstance)    
        getAFXAliasMap().setPrefix(self, 'InitialConditionDB')   
        """self.appendActionButton(text='OK',tgt=self,
                                sel=self.ID_CLICKED_OK)
        self.appendActionButton(text='Cancel',tgt=self,
                                sel=self.ID_CLICKED_CANCEL)  """     
            
        frame = AFXVerticalAligner(self, 0, 0,0,0,0, 0,0,0,0)

        # Model combo
        # Since all forms will be canceled if the  model changes,
        # we do not need to register a query on the model.
        #
        self.ComboBox_1 = AFXComboBox(p=frame, ncols=0, nvis=1, text='Assembly set:', tgt=form.assemblySetNameKw, sel=0)
        getAFXAliasMap().setName(self.ComboBox_1, 'cb1')
        self.ComboBox_1.setMaxVisible(10)
        self.currentModelName = getCurrentContext()['modelName']
        form.modelNameKw = getCurrentContext()['modelName']
        names = mdb.models[self.currentModelName].rootAssembly.sets.keys()
        names.sort()
        if mdb.customData.czone.models.has_key(self.currentModelName):
            if not len(mdb.customData.czone.models[self.currentModelName].initialCondDefinition) == 0:
                for set in mdb.customData.czone.models[self.currentModelName].initialCondDefinition.keys():
                    names.remove(set)
        for name in names:
            self.ComboBox_1.appendItem(name)
        if not len(names) == 0:
            if not form.assemblySetNameKw.getValue() in names:
                form.assemblySetNameKw.setValue( names[0] )
        else:
            form.assemblySetNameKw.setValue('')


        self.form = form

