from abaqusGui import *
from abaqusConstants import ALL
import osutils, os
from abaqusConstants import *
import types
import abq_Czone.czoneDB

###########################################################################
# Class definition
###########################################################################

class InitialConditionForm(AFXForm):


    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):
        
        # Construct the base class.
        #
        AFXForm.__init__(self, owner)
        self.radioButtonGroups = {}

        self.cmd = AFXGuiCommand(mode=self, method='writeInitialCondParameters',objectName='abq_Czone.czoneUtils', registerQuery=False)
        pickedDefault = ''
        self.modelNameKw = AFXStringKeyword(self.cmd, 'modelName', True,getCurrentContext()['modelName'])
        self.assemblySetNameKw = AFXStringKeyword(self.cmd, 'assemblySetName', True)
        self.setModal(TRUE)


    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):

        import initialConditionDB
        return initialConditionDB.InitialConditionDB(self)

        
##    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    def verifyKeywordValues(self):
        self.currentModelName = getCurrentContext()['modelName']
        if (self.assemblySetNameKw.getValue() == ''):
            showAFXErrorDialog(self.getCurrentDialog(),
                               'You must select an assembly set.')
            return FALSE

        return AFXForm.verifyKeywordValues(self)
       

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def okToCancel(self):

        # No need to close the dialog when a file operation (such
        # as New or Open) or model change is executed.
        #
        return False
