from abaqusGui import *
from abaqusConstants import ALL
import osutils, os
from abaqusConstants import *
import types

###########################################################################
# Class definition
###########################################################################

class SurfIntDefForm(AFXForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner, actionKw, intNameKw):
        
        # Construct the base class.
        #
        AFXForm.__init__(self,owner)
        self.radioButtonGroups = {}
        self.actionKw = actionKw
        self.intNameKw = intNameKw
        if actionKw == 'CREATE':
            self.cmd = AFXGuiCommand(mode=self, method='writeSurfIntParameters',objectName='abq_Czone.czoneUtils', registerQuery=False)
        else:
            self.cmd = AFXGuiCommand(mode=self, method='writeSurfIntParameters',objectName='abq_Czone.czoneUtils', registerQuery=True)
        pickedDefault = ''
        self.interactionPropNameKw = AFXStringKeyword(self.cmd, 'interactionPropName', True)
        if actionKw == 'CREATE':
            self.coefFrictionKw = AFXFloatKeyword(self.cmd, 'coefficientOfFriction', True, 0.2)
        else:
            self.coefFrictionKw = AFXFloatKeyword(self.cmd, 'coefficientOfFriction', True)
        self.setModal(TRUE)
        self.advancedOptionsKw = AFXBoolKeyword(self.cmd, 'advancedOptions', AFXBoolKeyword.TRUE_FALSE, False, False)
        self.CBAngleKw = AFXFloatKeyword(self.cmd, 'CBAngle', False, 60)
        #self.extraKw = AFXFloatKeyword(self.cmd, 'Extra', False)


    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):

        import surfIntDefDB
        return surfIntDefDB.SurfIntDefDB(self, self.actionKw, self.intNameKw)
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def verifyKeywordValues(self):
        if (self.interactionPropNameKw.getValue() == ''):
            showAFXErrorDialog(self.getCurrentDialog(),
                               'You must select a Surface Interaction.')
            return FALSE
        if self.actionKw == 'CREATE':
            if (self.interactionPropNameKw.getValue() in mdb.models[getCurrentContext()['modelName']].interactionProperties.keys()):
                showAFXErrorDialog(self.getCurrentDialog(),
                                   'Interaction property name already defined. Please choose a different name.' )
                return FALSE
        if (self.coefFrictionKw.getValue() < 0):
            showAFXErrorDialog(self.getCurrentDialog(),
                               'You must define a friction coefficient.')
            return FALSE
        if self.advancedOptionsKw.getValue() == False:
           self.CBAngleKw.setValue(60)
        
        return AFXForm.verifyKeywordValues(self)
