from abaqusConstants import *
from abaqusGui import *
from kernelAccess import mdb, session
import os
thisPath = os.path.abspath(__file__)
thisDir = os.path.dirname(thisPath)


###########################################################################
# Class definition
###########################################################################

class TsaiwuDB(AFXDataDialog):
    [
        ID_MAT,
        ] = range(AFXDataDialog.ID_LAST, AFXDataDialog.ID_LAST+1)
    #numInstance = 0
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form, actionKw, materialKw):

        # Construct the base class.
        #
        #TsaiwuDB.numInstance +=1
        #AFXDataDialog.__init__(self, form, 'Add Tsai-Wu Damage',
        #    0)
        AFXDataDialog.__init__(self, form, 'Add Tsai-Wu Damage',self.OK|self.CANCEL) 
             
        #getAFXAliasMap().setPrefix(self, 'tsaiwuDB-%d' %TsaiwuDB.numInstance)  
        getAFXAliasMap().setPrefix(self, 'TsaiwuDB') 
        """okbtn = self.appendActionButton(text='OK',tgt=self,
                                sel=self.ID_CLICKED_OK)
        cancelbtn=self.appendActionButton(text='Cancel',tgt=self,
                                sel=self.ID_CLICKED_CANCEL)"""
        
        
        path = __file__
        absPath = os.path.abspath(path)
        absDir = os.path.dirname(absPath)
        fileName = os.path.join(absDir, 'materialIcon.gif')
        materialIcon = afxCreateGIFIcon(fileName)
        fileName1= os.path.join(absDir, 'icoR_materialAdd.png')
        materialpngIcon = afxCreatePNGIcon(fileName1)
        materialpngIcon.scale(22,22)
        VFrame_1 = FXVerticalFrame(p=self, opts=LAYOUT_FILL_X|LAYOUT_FILL_Y, x=0, y=0, w=0, h=0,
            pl=0, pr=0, pt=0, pb=0)

        # Model combo
        # Since all forms will be canceled if the  model changes,
        # we do not need to register a query on the model.
        #
        HFrame_11 = FXHorizontalFrame(p=VFrame_1, opts=LAYOUT_FILL_X, x=0, y=0, w=0, h=0,
                                      pl=0, pr=0, pt=0, pb=0)
        self.ComboBox_1 = AFXComboBox(p=HFrame_11, ncols=0, nvis=1, text='Material', tgt=form.materialNamefromTsaiWuKw, sel=0)
        getAFXAliasMap().setName(self.ComboBox_1, 'combo1')
        self.ComboBox_1.setMaxVisible(10)
        self.currentModelName = getCurrentContext()['modelName']
        
        if actionKw == 'EDIT':
            names = mdb.models[self.currentModelName].materials.keys()        
            for name in names:
                if name == materialKw:
                    self.ComboBox_1.appendItem(name)
                    form.materialNamefromTsaiWuKw.setValue(name)
            if self.ComboBox_1.getNumItems()== 0:
                    showAFXErrorDialog(self,'ERROR: Material edition not possible. Please check if the material exists in the model database.')
        else:
            names = mdb.models[self.currentModelName].materials.keys()        
            names.sort()

            if mdb.customData.czone.models.has_key(self.currentModelName):
                if not len(mdb.customData.czone.models[self.currentModelName].tsaiwuDamage) == 0:
                    for index in range(len(names), -1, -1):
                        if len(names) > index:
                            if 'hashinDamageInitiation' in mdb.models[self.currentModelName].materials[names[index]].__members__:
                                del names[index]
                            elif mdb.models[self.currentModelName].materials[names[index]].name.lower().startswith('abq_ply_fabric'):
                                del names[index]
                    for index in range(len(names), -1, -1):
                        if len(names) > index:
                            if names[index] in mdb.customData.czone.models[self.currentModelName].tsaiwuDamage.keys():
                                del names[index]
            for name in names:
                self.ComboBox_1.appendItem(name)
            if not form.materialNamefromTsaiWuKw.getValue() in names:
                if not len(names) == 0:
                    form.materialNamefromTsaiWuKw.setValue( names[0] )


        # Materials combo
        #
        self.materialBtn = FXButton(p=HFrame_11, text=None, ic=materialpngIcon,tgt=self, sel=self.ID_MAT, opts=BUTTON_NORMAL|BUTTON_TOOLBAR)
        getAFXAliasMap().setName(self.materialBtn, 'matbtn1')
        self.materialBtn.setTipText("Create New Material...")
        FXMAPFUNC(self,SEL_COMMAND,self.ID_MAT,TsaiwuDB.createMaterialdb)
        self.form = form
        VFrame_2 = FXVerticalFrame(p=VFrame_1, opts=LAYOUT_FILL_X|LAYOUT_FILL_Y, x=0, y=0, w=0, h=0,
            pl=0, pr=0, pt=0, pb=0)
        GroupBox_2 = FXGroupBox(p=VFrame_2, text='', opts=FRAME_GROOVE|LAYOUT_FILL_X|LAYOUT_FILL_Y)

        VAligner_1 = AFXVerticalAligner(p=GroupBox_2, opts=0, x=0, y=0, w=0, h=0,
            pl=0, pr=0, pt=0, pb=0)
        l3 = FXLabel(p=VAligner_1, text='Tsai-Wu Material Constants ', opts=LAYOUT_CENTER_X)
        l3.setFont( getAFXFont(FONT_BOLD) )
        tenStressinFibDir=AFXTextField(p=VAligner_1, ncols=7, labelText='Tensile stress limit in fiber direction', tgt=form.keyword05Kw1, sel=0)
        getAFXAliasMap().setName(tenStressinFibDir, 'tenstresinfib')
        compStressinFibDir=AFXTextField(p=VAligner_1, ncols=7, labelText='Compressive stress limit in fiber direction', tgt=form.keyword06Kw1, sel=0)
        getAFXAliasMap().setName(compStressinFibDir, 'compstresinfib')
        tenStressinTraDir=AFXTextField(p=VAligner_1, ncols=7, labelText='Tensile stress limit in transverse direction', tgt=form.keyword07Kw1, sel=0)
        getAFXAliasMap().setName(tenStressinTraDir, 'tenstresintra')
        compStressinTraDir=AFXTextField(p=VAligner_1, ncols=7, labelText='Compressive stress limit in transverse direction', tgt=form.keyword08Kw1, sel=0)
        getAFXAliasMap().setName(compStressinTraDir, 'compstresinTra')
        shearStrength=AFXTextField(p=VAligner_1, ncols=7, labelText='Shear strength in the X\x96Y plane', tgt=form.keyword09Kw1, sel=0)
        getAFXAliasMap().setName(shearStrength, 'shearstrength')
        interactionTerm=AFXTextField(p=VAligner_1, ncols=7, labelText='Interaction term', tgt=form.keyword11Kw1, sel=0)
        getAFXAliasMap().setName(interactionTerm, 'interactionterm')
        l4 = FXLabel(p=VAligner_1, text='Damage Properties ', opts=LAYOUT_CENTER_X)
        l4.setFont( getAFXFont(FONT_BOLD) )
        '''
        youngsModin1Dir=AFXTextField(p=VAligner_1, ncols=7, labelText='Young\x92s modulus in 1-direction', tgt=form.keyword15Kw1, sel=0)
        getAFXAliasMap().setName(youngsModin1Dir, 'youngsmodin1')
        youngsModin2Dir =AFXTextField(p=VAligner_1, ncols=7, labelText='Young\x92s modulus in 2-direction', tgt=form.keyword16Kw1, sel=0)
        getAFXAliasMap().setName(youngsModin2Dir, 'youngsmodin2')
        poissonRatio=AFXTextField(p=VAligner_1, ncols=7, labelText='Poisson\x92s ratio', tgt=form.keyword17Kw1, sel=0)
        getAFXAliasMap().setName(poissonRatio, 'poissonratio')
        shearMod=AFXTextField(p=VAligner_1, ncols=7, labelText='Shear modulus', tgt=form.keyword18Kw1, sel=0)
        getAFXAliasMap().setName(shearMod, 'shearmod')
        '''
        energypuaFailure=AFXTextField(p=VAligner_1, ncols=7, labelText='Energy per unit area for failure', tgt=form.keyword19Kw1, sel=0)
        getAFXAliasMap().setName(energypuaFailure, 'energypuafailure')
        if actionKw == 'EDIT':
            self.materialBtn.disable()
            self.ComboBox_1.disable()
            if mdb.customData.czone.models.has_key(self.currentModelName):
                if mdb.customData.czone.models[self.currentModelName].tsaiwuDamage.has_key(materialKw):
                    form.keyword05Kw1.setValue(str(mdb.customData.czone.models[self.currentModelName].tsaiwuDamage[materialKw].TensileStressFiberDir))
                    value = mdb.customData.czone.models[self.currentModelName].tsaiwuDamage[materialKw].TensileStressFiberDir
                    form.keyword06Kw1.setValue(str(mdb.customData.czone.models[self.currentModelName].tsaiwuDamage[materialKw].CompStressFiberDir))
                    form.keyword07Kw1.setValue(str(mdb.customData.czone.models[self.currentModelName].tsaiwuDamage[materialKw].TensileStressTransDir))
                    form.keyword08Kw1.setValue(str(mdb.customData.czone.models[self.currentModelName].tsaiwuDamage[materialKw].CompStressTransDir))
                    form.keyword09Kw1.setValue(str(mdb.customData.czone.models[self.currentModelName].tsaiwuDamage[materialKw].ShearStrengthXYplane))
                    form.keyword11Kw1.setValue(str(mdb.customData.czone.models[self.currentModelName].tsaiwuDamage[materialKw].InteractionTerm))
                    #form.keyword15Kw1.setValue(str(mdb.customData.czone.models[self.currentModelName].tsaiwuDamage[materialKw].YoungsModin1Dir))
                    #form.keyword16Kw1.setValue(str(mdb.customData.czone.models[self.currentModelName].tsaiwuDamage[materialKw].YoungsModin2Dir))
                    #form.keyword17Kw1.setValue(str(mdb.customData.czone.models[self.currentModelName].tsaiwuDamage[materialKw].PoissonRatio))
                    #form.keyword18Kw1.setValue(str(mdb.customData.czone.models[self.currentModelName].tsaiwuDamage[materialKw].ShearModulus))
                    form.keyword19Kw1.setValue(mdb.customData.czone.models[self.currentModelName].tsaiwuDamage[materialKw].EnergyPerUnitArea)
        else:
            form.keyword05Kw1.setValue('')
            form.keyword06Kw1.setValue('')
            form.keyword07Kw1.setValue('')
            form.keyword08Kw1.setValue('')
            form.keyword09Kw1.setValue('')
            form.keyword11Kw1.setValue('')
            #form.keyword15Kw1.setValue('')
            #form.keyword16Kw1.setValue('')
            #form.keyword17Kw1.setValue('')
            #form.keyword18Kw1.setValue('')
            form.keyword19Kw1.setValue('')

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def show(self):
        AFXDataDialog.show(self)

        # Register a query on materials
        #
        self.currentModelName = getCurrentContext()['modelName']
        mdb.models[self.currentModelName].materials.registerQuery(self.updateComboBox_1Materials)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def hide(self):

        self.currentModelName = getCurrentContext()['modelName']
        mdb.models[self.currentModelName].materials.unregisterQuery(self.updateComboBox_1Materials)
        AFXDataDialog.hide(self)
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def onComboBox_1MaterialsChanged(self, sender, sel, ptr):
        self.updateComboBox_1Materials(self, actionKw, materialKw)
        return 1

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def updateComboBox_1Materials(self):
        self.currentmodelName = getCurrentContext()['modelName']
        # Update the names in the Materials combo
        #
        self.ComboBox_1.clearItems()
        names = mdb.models[self.currentModelName].materials.keys()        
        names.sort()
        if mdb.customData.czone.models.has_key(self.currentModelName):
            for index in range(len(names), -1, -1):
                if len(names) > index:
                    if 'hashinDamageInitiation' in mdb.models[self.currentModelName].materials[names[index]].__members__:
                        del names[index]
                    elif mdb.models[self.currentModelName].materials[names[index]].name.lower().startswith('abq_ply_fabric'):
                        del names[index]
            if not len(mdb.customData.czone.models[self.currentModelName].tsaiwuDamage) == 0:
                for index in range(len(names), -1, -1):
                    if len(names) > index:
                        if names[index] in mdb.customData.czone.models[self.currentModelName].tsaiwuDamage.keys():
                            del names[index]

        for name in names:
            self.ComboBox_1.appendItem(name)

        if names:
            if not self.form.materialNamefromTsaiWuKw.getValue() in names:
                self.form.materialNamefromTsaiWuKw.setValue( names[0] )
        else:
            self.form.materialNamefromTsaiWuKw.setValue('')

        self.resize( self.getDefaultWidth(), self.getDefaultHeight() )



    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def createMaterialdb(self,sender,sel,ptr):
        
        sel = getAFXApp().getAFXMainWindow().getSelectorFromFunction('Material->Create')
        tgt = getAFXApp().getAFXMainWindow().getTargetFromFunction('Material->Create')
        tgt.handle(self, MKUINT(sel, SEL_COMMAND), None)

        return 1
