from abaqusGui import *
from abaqusConstants import ALL
import osutils, os
from abaqusConstants import *
import types

###########################################################################
# Class definition
###########################################################################

class TsaiwuForm(AFXForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner, actionKw, materialKw):
        
        # Construct the base class.
        #
        AFXForm.__init__(self, owner)
        self.radioButtonGroups = {}
        self.actionKw = actionKw
        self.materialKw = materialKw
        self.cmd = AFXGuiCommand(mode=self, method='writeTsaiWuParameters',objectName='abq_Czone.czoneUtils', registerQuery=False)
        pickedDefault = ''
        self.modelNameKw = AFXStringKeyword(self.cmd, 'modelName', True, getCurrentContext()['modelName'])
        self.materialNamefromTsaiWuKw = AFXStringKeyword(self.cmd, 'materialName', True)
        self.keyword05Kw1 = AFXFloatKeyword(self.cmd, 'tensileStressFiberDir', True)
        self.keyword06Kw1 = AFXFloatKeyword(self.cmd, 'compStressFiberDir', True)
        self.keyword07Kw1 = AFXFloatKeyword(self.cmd, 'tensileStressTransDir', True)
        self.keyword08Kw1 = AFXFloatKeyword(self.cmd, 'compStressTransDir', True)
        self.keyword09Kw1 = AFXFloatKeyword(self.cmd, 'shearStrengthXYplane', True)
        self.keyword11Kw1 = AFXFloatKeyword(self.cmd, 'interactionTerm', True)
        #self.keyword15Kw1 = AFXFloatKeyword(self.cmd, 'youngsModin1Dir', True)
        #self.keyword16Kw1 = AFXFloatKeyword(self.cmd, 'youngsModin2Dir', True)
        #self.keyword17Kw1 = AFXFloatKeyword(self.cmd, 'poissonRatio', True)
        #self.keyword18Kw1 = AFXFloatKeyword(self.cmd, 'shearModulus', True)
        self.keyword19Kw1 = AFXFloatKeyword(self.cmd, 'energyPerUnitArea', True)



    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):

        import tsaiwuDB
        return tsaiwuDB.TsaiwuDB(self,self.actionKw,self.materialKw)



    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def doCustomChecks(self):

        # Try to set the appropriate radio button on. If the user did
        # not specify any buttons to be on, do nothing.
        #
        for kw1,kw2,d in self.radioButtonGroups.values():
            try:
                value = d[ kw1.getValue() ]
                kw2.setValue(value)
            except:
                pass
        return True

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    def verifyKeywordValues(self):

        if self.materialNamefromTsaiWuKw.getValue() == '':
            showAFXErrorDialog(self.getCurrentDialog(), 'Material must be selected.')
            return FALSE


        
        return AFXForm.verifyKeywordValues(self)
