from abaqusGui import *

version = '3.1-1'

thisPath = os.path.abspath(__file__)
thisDir = os.path.dirname(thisPath)
sendCommand("import sys")
sendCommand("sys.path.append(r'%s')" % thisDir)
from kernelAccess import *
from abaqusConstants import *
from abq_Czone.czoneForm import *

###########################################################################
# Class definition
###########################################################################
class czoneToolsetGui(AFXToolsetGui):
    [ID_CALL]=range(AFXModuleGui.ID_LAST)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self):

        # Construct the CAE file toolset.
        #

        AFXToolsetGui.__init__(self,'Czone')
        self.group = AFXToolbarGroup(
            owner=self,title="CZone For Abaqus Plug-in")
        (head, tail) = os.path.split(__file__)
        fileLoadPath = os.path.join(
            head, "abq_Czone", "CZA_Icon.gif")
        createIcon = afxCreateIcon(fileLoadPath)
        createIcon.scale(24,24)
        self.save = AFXToolButton(
            self.group, 
            '\tCZone For Abaqus Plug-in',
            createIcon,tgt=CzoneForm(self),
            sel=AFXForm.ID_ACTIVATE)
        
        getAFXAliasMap().setPrefix(self.group, 'czoneplugin')
        
        # name the component test button
        getAFXAliasMap().setName(self.save, 'czone plugin')
    

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getKernelInitializationCommand(self):
        if not getAFXApp().isProductViewer():
            try:
                return 'import abq_Czone.czoneKernelInit\nimport abq_Czone.czoneUtils'
            except:
                return ''
            
        else:
            return ''

def onModuleSwitch(moduleName):
    if not moduleName == 'Interaction':
        ins.group.hide()
    else:
        ins.group.show()

try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('Czone', version)
except:    
    status = 'OK'


if status=='OK':

    # Register commands
    #

    setSwitchModuleHook(onModuleSwitch)

    try:
        mainWindow = getAFXApp().getAFXMainWindow()
        ins = czoneToolsetGui()
        mainWindow.registerToolset(ins, GUI_IN_TOOLBAR)
    except:
        print 'CZone For Abaqus Plug-in registration failed'
        pass

else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()
