from abaqusGui import *

thisPath = os.path.abspath(__file__)
thisDir = os.path.dirname(thisPath)

###########################################################################
# Class definition
###########################################################################

class gearDB(AFXDataDialog):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form):

        # Construct the base class.
        #

        AFXDataDialog.__init__(self, form, 'Gear Builder',
            self.OK|self.CANCEL, LAYOUT_FIX_WIDTH|LAYOUT_FIX_HEIGHT|DIALOG_ACTIONS_SEPARATOR)

	#GUILOG
        getAFXAliasMap().setPrefix(self,'Gear Builder')
        #ENDGUILOG

        GroupBox_1 = FXGroupBox(p=self, text='Gear Parameters', opts=FRAME_GROOVE)
        GroupBox_2 = FXGroupBox(p=GroupBox_1, text='', opts=FRAME_GROOVE)
	HFrame_1 = FXMatrix(p=GroupBox_2, n=2, opts=MATRIX_BY_COLUMNS)

	FXLabel(p=HFrame_1, text='Gear Type', opts=JUSTIFY_LEFT)
        ComboBox_0 = AFXComboBox(p=HFrame_1, ncols=0, nvis=1, text='', tgt=form.gearTypeKw, sel=0)
        ComboBox_0.setMaxVisible(10)
        ComboBox_0.appendItem(text='External')
        ComboBox_0.appendItem(text='Internal')
	getAFXAliasMap().setName(ComboBox_0, 'Gear Type') # For creating GUI logs

	FXLabel(p=HFrame_1, text='Gear Normal Module', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_1, ncols=20, labelText='', tgt=form.moduleKw, sel=0)
	getAFXAliasMap().setName(t, 'Normal Module in Gear Parameter') # For creating GUI logs

	FXLabel(p=HFrame_1, text='Gear Normal Pressure Angle', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_1, ncols=20, labelText='', tgt=form.pressureAngleKw, sel=0)
	getAFXAliasMap().setName(t, 'Normal Pressure Angle in Gear Parameter') # For creating GUI logs

	FXLabel(p=HFrame_1, text='Gear Shift Factor', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_1, ncols=20, labelText='', tgt=form.shiftFactorKw, sel=0)
	getAFXAliasMap().setName(t, 'Shift Factor in Gear Parameter') # For creating GUI logs

	FXLabel(p=HFrame_1, text='Gear Helix Angle', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_1, ncols=20, labelText='', tgt=form.helixAngleKw, sel=0)
	getAFXAliasMap().setName(t, 'Helix Angle in Gear Parameter') # For creating GUI logs

	FXLabel(p=HFrame_1, text='Gear Bevel Angle (Not Supported)', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_1, ncols=20, labelText='', tgt=form.bevelAngleKw, sel=0)
	getAFXAliasMap().setName(t, 'Bevel Angle in Gear Parameter') # For creating GUI logs

        GroupBox_3 = FXGroupBox(p=GroupBox_1, text='', opts=FRAME_GROOVE)
	HFrame_2 = FXMatrix(p=GroupBox_3, n=2, opts=MATRIX_BY_COLUMNS)

	FXLabel(p=HFrame_2, text='Gear Addendum/Dedendum Type', opts=JUSTIFY_LEFT)
        ComboBox_0 = AFXComboBox(p=HFrame_2, ncols=0, nvis=1, text='', tgt=form.adddedTypeKw, sel=0)
        ComboBox_0.setMaxVisible(10)
        ComboBox_0.appendItem(text='Coefficient')
        ComboBox_0.appendItem(text='Diameter')
	getAFXAliasMap().setName(ComboBox_0, 'Gear Addendum/Dedendum Type') # For creating GUI logs	

	FXLabel(p=HFrame_2, text='Gear Addendum Value', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_2, ncols=20, labelText='', tgt=form.addendumValueKw, sel=0)
	getAFXAliasMap().setName(t, 'Addendum Value in Gear Parameter') # For creating GUI logs

	FXLabel(p=HFrame_2, text='Gear Dedendum Value', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_2, ncols=20, labelText='', tgt=form.dedendumValueKw, sel=0)
	getAFXAliasMap().setName(t, 'Dedendum Value in Gear Parameter') # For creating GUI logs

	FXLabel(p=HFrame_1, text='Gear Number of Teeth', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_1, ncols=20, labelText='', tgt=form.numberTeethKw, sel=0)
	getAFXAliasMap().setName(t, 'Number of Teeth in Gear Parameter') # For creating GUI logs

	FXLabel(p=HFrame_1, text='Gear Flank Width', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_1, ncols=20, labelText='', tgt=form.flankWidthKw, sel=0)
	getAFXAliasMap().setName(t, 'Flank Width in Gear Parameter') # For creating GUI logs

	FXLabel(p=HFrame_1, text='Gear Bore Diameter', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_1, ncols=20, labelText='', tgt=form.boreDKw, sel=0)
	getAFXAliasMap().setName(t, 'Flank Width in Gear Parameter') # For creating GUI logs

	FXLabel(p=HFrame_1, text='Gear Ring Diameter(Only Interal Gear)', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_1, ncols=20, labelText='', tgt=form.ringDKw, sel=0)
	getAFXAliasMap().setName(t, 'Ring Diameter in Gear Parameter') # For creating GUI logs

	FXLabel(p=HFrame_1, text='Gear Coupling Approach Type', opts=JUSTIFY_LEFT)
        ComboBox_1 = AFXComboBox(p=HFrame_1, ncols=0, nvis=1, text='', tgt=form.approachTypeKw, sel=0)
        ComboBox_1.setMaxVisible(10)
        ComboBox_1.appendItem(text='A Approach')
        ComboBox_1.appendItem(text='B Approach')
	getAFXAliasMap().setName(ComboBox_1, 'Gear Coupling Approach Type') # For creating GUI logs	

	FXLabel(p=HFrame_1, text='Number of DCOUP Node along Tooth Width', opts=JUSTIFY_LEFT)
        ComboBox_1 = AFXComboBox(p=HFrame_1, ncols=0, nvis=1, text='', tgt=form.numDcoupNodeKw, sel=0)
        ComboBox_1.setMaxVisible(10)
        ComboBox_1.appendItem(text='1')
        ComboBox_1.appendItem(text='2')
        ComboBox_1.appendItem(text='3')
        ComboBox_1.appendItem(text='4')
        ComboBox_1.appendItem(text='5')
        ComboBox_1.appendItem(text='6')
        ComboBox_1.appendItem(text='7')
        ComboBox_1.appendItem(text='8')
        ComboBox_1.appendItem(text='9')
        ComboBox_1.appendItem(text='10')
	getAFXAliasMap().setName(ComboBox_1, 'Number of DCOUP Node along Tooth Width') # For creating GUI logs	

        GroupBox_4 = FXGroupBox(p=GroupBox_1, text='', opts=FRAME_GROOVE)
	HFrame_3 = FXMatrix(p=GroupBox_4, n=2, opts=MATRIX_BY_COLUMNS)

	FXLabel(p=HFrame_3, text='Mesh Size', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_3, ncols=20, labelText='', tgt=form.meshSizeKw, sel=0)
	getAFXAliasMap().setName(t, 'Mesh Size') # For creating GUI logs

	FXLabel(p=HFrame_3, text='Gear Rotation Angle (Deg) at Global X', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_3, ncols=20, labelText='', tgt=form.gearRotXKw, sel=0)
	getAFXAliasMap().setName(t, 'Gear Rotation X') # For creating GUI logs

	FXLabel(p=HFrame_3, text='Gear Rotation Angle (Deg) at Global Y', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_3, ncols=20, labelText='', tgt=form.gearRotYKw, sel=0)
	getAFXAliasMap().setName(t, 'Gear Rotation Y') # For creating GUI logs

	FXLabel(p=HFrame_3, text='Gear Rotation Angle (Deg) at Global Z', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_3, ncols=20, labelText='', tgt=form.gearRotZKw, sel=0)
	getAFXAliasMap().setName(t, 'Gear Rotation Z') # For creating GUI logs

	FXLabel(p=HFrame_3, text='Number of Eigenvalues', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_3, ncols=20, labelText='', tgt=form.numEigKw, sel=0)
	getAFXAliasMap().setName(t, 'Number of Eigenvalues') # For creating GUI logs

	FXLabel(p=HFrame_3, text='Substructure Identification Number', opts=JUSTIFY_LEFT)
        t = AFXTextField(p=HFrame_3, ncols=20, labelText='', tgt=form.subIdentNumKw, sel=0)
	getAFXAliasMap().setName(t, 'Substructure Identification Number') # For creating GUI logs

	FXLabel(p=HFrame_3, text='Recovery Flag', opts=JUSTIFY_LEFT)
	ComboBox_2 = AFXComboBox(p=HFrame_3, ncols=0, nvis=1, text='', tgt=form.recoveryKw, sel=0)
        ComboBox_2.setMaxVisible(10)
        ComboBox_2.appendItem(text='No Recovery')
        ComboBox_2.appendItem(text='Recovery')
	getAFXAliasMap().setName(ComboBox_2, 'Recovery Flag') # For creating GUI logs

	FXLabel(p=HFrame_3, text='Mesh Type', opts=JUSTIFY_LEFT)
	ComboBox_3 = AFXComboBox(p=HFrame_3, ncols=0, nvis=1, text='', tgt=form.meshTypeKw, sel=0)
        ComboBox_3.setMaxVisible(10)
        ComboBox_3.appendItem(text='Hex-dominant')
        ComboBox_3.appendItem(text='Tetra')
	getAFXAliasMap().setName(ComboBox_3, 'Mesh Type') # For creating GUI logs

        GroupBox_5 = FXGroupBox(p=GroupBox_1, text='', opts=FRAME_GROOVE)
	HFrame_4 = FXMatrix(p=GroupBox_5, n=2, opts=MATRIX_BY_COLUMNS)

	FXLabel(p=HFrame_4, text='Unit', opts=JUSTIFY_LEFT)
	ComboBox_3 = AFXComboBox(p=HFrame_4, ncols=0, nvis=1, text='', tgt=form.unitKw, sel=0)
        ComboBox_3.setMaxVisible(10)
        ComboBox_3.appendItem(text='millimeter')
        #ComboBox_3.appendItem(text='meter')
	getAFXAliasMap().setName(ComboBox_3, 'Unit') # For creating GUI logs	
###########################################################################



    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):

        from abq_gear.gearDB import gearDB
	self.db = gearDB(self)
        return self.db

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def doCustomChecks(self):

        # Try to set the appropriate radio button on. If the user did
        # not specify any buttons to be on, do nothing.
        #
        for kw1,kw2,d in self.radioButtonGroups.values():
            try:
                value = d[ kw1.getValue() ]
                kw2.setValue(value)
            except:
                pass
        return True


