from abaqusGui import *
import _abqPluginUtils

version = '1.1-1'
author = 'Dassault Systemes Simulia Corp.'
helpUrl = ''
buttonText = 'Tools|Gear...'
description= "Plug-in to build Gear(Spur/Helical)."


status = _abqPluginUtils.checkCompatibility('gearUtility', version)
from abq_gear.gearForm import gearForm
if status == 'OK':
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=gearForm(toolset),
        buttonText=buttonText,
        messageId=AFXMode.ID_ACTIVATE,
        kernelInitString='import abq_gear.gearUtils',
        applicableModules=['Part','Mesh','Assembly','interaction'],
        version=version,
        author=author,
        description=description,
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
                '/php/enduser/std_adp.php?p_faqid=4808',
                )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()


