from abaqusGui import *

# Register commands
#
version = '1.1-1'

try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('LGS', version)
except:    
    status = 'OK'

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
if status == 'OK':
    author = 'Dassault Systemes Simulia Corp.'
    kernelInitString = 'import abq_Lgs.lgsUtils'
    helpUrl = r'http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/' \
               'enduser/std_adp.php?p_faqid=4509'
    description = 'Facilitates the creation of rigid body landing gear models' 

    # Use package syntax to avoid possible name clashes with other plugins
    #
    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    from abq_Lgs.lgsForm import LgsForm
    toolset.registerGuiMenuButton(object=LgsForm(toolset),
                                  buttonText=r'Create Landing Gear Model...',
                                  kernelInitString=kernelInitString,
                                  version=version,
                                  author=author,
                                  applicableModules=['Assembly'],
                                  description=description,
                                  helpUrl=helpUrl
                                  )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()