from abaqusGui import *

###########################################################################
# Class definition
###########################################################################

class OpenOdbDB(AFXDataDialog):
    [
        ID_ODB,
        ID_LAST,
    ] = range(AFXDataDialog.ID_LAST,AFXDataDialog.ID_LAST+2)


    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form):

        # Construct the base class.
        #
        AFXDataDialog.__init__(self, form, 'Select CCF ODB', 
            self.CONTINUE|self.CANCEL,DIALOG_ACTIONS_SEPARATOR|DECOR_RESIZE)

        self.form = form

        #GUILOG
        getAFXAliasMap().setPrefix(self, 'OpenOdbDB')
        #ENDGUILOG

        # Odb A name field
        #        
        hf = FXHorizontalFrame(self,LAYOUT_FILL_X)
        tf = AFXTextField(hf,28,'ODB file name:',form.odbPathKw,0,LAYOUT_FILL_X)
        #GUILOG
        getAFXAliasMap().setName(tf, 'Odbfilename')
        #ENDGUILOG

        self.odbDb = None
        FXMAPFUNC(self, SEL_COMMAND, self.ID_ODB, OpenOdbDB.onCmdOdb)
        w = FXButton(hf,'Select...',None,self,self.ID_ODB)

        #GUILOG
        getAFXAliasMap().setName(w, 'SelectOdb')
        #ENDGUILOG

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    def onCmdOdb(self, sender, sel, ptr):

        # Post select Odb DB
        #
        if not self.odbDb:
            patterns = 'Output database (*.odb)'
            self.odbDb = AFXFileSelectorDialog(self, 'Select Database', 
                self.form.odbPathKw, None, 
                AFXSELECTFILE_ANY|AFXSELECTFILE_REMOTE_HOST, patterns)
            self.odbDb.setReadOnlyPatterns('*.odb')
            self.odbDb.create()            
            
        self.odbDb.showModal()        
        return 1
