from abaqusGui import *

###########################################################################
# Class definition
###########################################################################

class OpenResultsDB(AFXDataDialog):
    [
        ID_RESULTS,
        ID_LAST,
    ] = range(AFXDataDialog.ID_LAST,AFXDataDialog.ID_LAST+2)
        

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form):

        # Construct the base class.
        #
        AFXDataDialog.__init__(self, form, 'Select CCF Results File', 
            self.CONTINUE|self.CANCEL,DIALOG_ACTIONS_SEPARATOR|DECOR_RESIZE)

        self.form = form

        #GUILOG
        getAFXAliasMap().setPrefix(self, 'OpenResultsDB')
        #ENDGUILOG
        
        # Odb name field
        #        
        hf = FXHorizontalFrame(self,LAYOUT_FILL_X)
        w = AFXTextField(hf,28,'Results file name:',form.resultsFileNameTgt,0,LAYOUT_FILL_X)
        
        #GUILOG
        getAFXAliasMap().setName(w, 'Results file name')
        #ENDGUILOG
        
        self.resultsDb = None
        
        FXMAPFUNC(self, SEL_COMMAND, self.ID_RESULTS, OpenResultsDB.onCmdResults)
        w = FXButton(hf,'Select...',None,self,self.ID_RESULTS)
        
        #GUILOG
        getAFXAliasMap().setName(w, 'Select')
        #ENDGUILOG
                
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    def onCmdResults(self, sender, sel, ptr):

        # Post select Results DB
        #
        if not self.resultsDb:
            patterns = 'Component contributions (*.ccf)'
            self.resultsDb = AFXFileSelectorDialog(self, 'Select Results', 
                self.form.resultsFileNameTgt, None,
                AFXSELECTFILE_ANY|AFXSELECTFILE_REMOTE_HOST, patterns)
            self.resultsDb.create()
            
        self.resultsDb.showModal()
        return 1
