from abaqusGui import *

# Use package syntax to avoid possible name clashes with other plugins
#
from abq_BrakeNoise.computeContributionsForm import ComputeContributionsForm

majorNumber, minorNumber, updateNumber = getAFXApp().getBaseVersionNumbers()
verAbaqus = float(majorNumber) + minorNumber * 0.1
if verAbaqus > 6.6:
    import _abqPluginUtils

# Register commands
#
version = '1.2-3'
if verAbaqus < 6.5:
    status = "Plug-in Compute CCF/CMCF " + str(version) + " version was not registered because "\
             "it is not supported in Abaqus version " + str(uti.getVersion())
elif verAbaqus == 6.6 or verAbaqus == 6.5:
    status = 'OK'
else:
    status = _abqPluginUtils.checkCompatibility('CCF CMCF', version)
if status:
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=ComputeContributionsForm(toolset),
        buttonText='NVH|Brake Noise|Compute CCF/CMCF...',
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString='import abq_BrakeNoise.computeContributionsModule',
        applicableModules=["Visualization",],
        version=version,
        author='Dassault Systemes',
        description='This plug-in can be used to compute the component '\
                    'contribution factors (CCF) for the unstable modes of '\
                    'a complex frequency analysis.  can be used to compute '\
                    'the component contribution factors (CCF) for the '\
                    'unstable modes of a complex frequency analysis',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/enduser/std_adp.php?p_faqid=3027',
        )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()