from abaqusGui import *
from abaqusConstants import *

# Register commands
#
version = '1.1-1'

try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('Honeycomb Core', version)
except:    
    status = 'OK'

if status == 'OK':  
    author = "Dassault Systemes"
    kernelInitString = 'import abq_Hcore.hcoreKernel\n'
    'from abq_Hcore.hcoreConstants import*'

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Plug-in registration commands

    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    from abq_Hcore.hcoreForm import HcoreForm
    toolset.registerGuiMenuButton(buttonText='Create Honeycomb', 
	    object=HcoreForm(toolset),
	    messageId=AFXMode.ID_ACTIVATE,
	    icon=None,
	    kernelInitString='import abq_Hcore.hcoreKernel\n' \
	    'from abq_Hcore.hcoreConstants import*',
	    applicableModules=ALL,
	    version='N/A',
	    author='KH7, VIY, WWB',
	    description='Hcore ver.1',
	    helpUrl='N/A')  
	    
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()