from abaqusGui import *
from abaqusConstants import ALL
import osutils, os
from abq_UnwrapMesh.unwrapMeshForm import UnwrapMeshForm



# Register commands
#
version = '1.1-1'

try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('Unwrap Mesh', version)
except:    
    status = 'OK'


if status=='OK':
    author = 'Dassault Systemes Simulia Corp.'
    description="Abaqus/CAE plug-in to unwrap a cylindrical shell orphan mesh into a flat mesh and create 2D geometry"    
    helpUrl=r'http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/' \
               'enduser/std_adp.php?p_faqid=4698'                     

    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        buttonText='Tools|Unwrap Mesh...', 
        object=UnwrapMeshForm(toolset),
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString="import abq_UnwrapMesh.unwrapMeshModule\n"
                     "from abq_UnwrapMesh.unwrapMeshConstants import *",        
        applicableModules=["Part"],
        version=version,
        author=author,
        description=description,
        helpUrl=helpUrl
)
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()