from abaqusGui import *

# Register commands
#
version = '1.2-3'

try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('ABD Matrix', version)
except:    
    status = 'OK'


if status=='OK':
    author = 'Dassault Systemes Simulia Corp.'
    description='Abaqus/CAE plug-in to calculate ABD matrix and '\
                'equivalent extensional and bending moduli for '\
                'composite lay-ups'    
    helpUrl=r'http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/' \
               'enduser/std_adp.php?p_faqid=4531'                     

    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    from abq_AbdMatrix.abdForm import AbdForm
    toolset.registerGuiMenuButton(
        buttonText='Tools|Calculate ABD Matrix...', 
        object=AbdForm(toolset),
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString='import abq_AbdMatrix.abdKernel',
        applicableModules=['Property'],
        version=version,
        author=author,
        description=description,
        helpUrl=helpUrl
)
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()