from abaqusGui import *
from abq_AbdMatrix.abdProc import AbdFaceSheetsProc, AbdPlyProc
from abq_AbdMatrix.abdDB import AbdDB

###########################################################################
# Class definition
###########################################################################

class AbdForm(AFXForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):
        
        # Construct the base class.
        #
        AFXForm.__init__(self, owner)
        self.abdPlyProc = AbdPlyProc(owner)
        self.abdFaceSheetsProc = AbdFaceSheetsProc(owner)
        
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~        
    def activate(self):
        #Check what is being shown in current viewport

        if getDisplayedObjectType() == PART:
            AFXForm.activate(self)
        else:
            showAFXErrorDialog(getAFXApp().getAFXMainWindow(),
                 'A part must be displayed in the current viewport.')
        
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):

        return AbdDB(self, self.abdPlyProc, self.abdFaceSheetsProc)


