from abaqusGui import *

###########################################################################
# Class definition
###########################################################################

class AirfoilPartDB(AFXDataDialog):

    [
        ID_FILE,
    ] = range(AFXDataDialog.ID_LAST, AFXDataDialog.ID_LAST+1)


    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form):

        # Construct the base class.
        #
        self.form = form
        self.fileDB = None
        AFXDataDialog.__init__(self, form, 'Create Airfoil Part',
            self.OK|self.CANCEL, LAYOUT_FIX_WIDTH|LAYOUT_FIX_HEIGHT|DIALOG_ACTIONS_SEPARATOR)
            
##
##      Filename from Eblade, Number of Partition, and Mesh Size
##
        fileTextHf = FXHorizontalFrame(p=self, opts=LAYOUT_FILL_X, x=0, y=0, w=0, h=0,
            pl=0, pr=0, pt=0, pb=0, hs=DEFAULT_SPACING, vs=DEFAULT_SPACING)
        AFXTextField(p=fileTextHf, ncols=24, labelText=i18n.tr('Data file:'), tgt=form.fileNameKw, sel=0,
            opts=AFXTEXTFIELD_STRING|LAYOUT_CENTER_Y|LAYOUT_FILL_X)

        # Icon
        #
        thisPath = os.path.abspath(__file__)
        thisDir = os.path.dirname(thisPath)
        icon = afxCreatePNGIcon(thisDir + r'/fileSelectSmall.png')

        FXButton(p=fileTextHf, text='', ic=icon, tgt=self, sel=self.ID_FILE,
            opts=BUTTON_NORMAL|LAYOUT_CENTER_Y, x=0, y=0, w=0, h=0, pl=1, pr=1, pt=1, pb=1)
        FXMAPFUNC(self, SEL_COMMAND, self.ID_FILE, AirfoilPartDB.onCmdFile)

        self.numberPartitions = AFXTextField(
            self, 12, 'Number of partitions:', self.form.numberOfPartitionsKw,
            0, LAYOUT_FILL_X|AFXTEXTFIELD_CHECKBUTTON|AFXTEXTFIELD_INTEGER)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def onCmdFile(self, sender, sel, ptr):

        # Post select File DB
        #
        patterns = 'Eblade (*.dat)\nAll Files (*.*)'

        if not self.fileDB:
            self.fileDB = AFXFileSelectorDialog(self, 'File Selection', 
                self.form.fileNameKw, None, 
                AFXSELECTFILE_ANY|AFXSELECTFILE_REMOTE_HOST, patterns)
            self.fileDB.create()
        self.fileDB.showModal()
        getAFXAliasMap().setPrefix(self.fileDB, 'Eblade file open')
        return 1
