from abaqusGui import *

###########################################################################
# Class definition
###########################################################################

class AirfoilPartForm(AFXForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):
        
        # Construct the base class.
        #
        AFXForm.__init__(self, owner)
        self.radioButtonGroups = {}

        self.cmd = AFXGuiCommand(mode=self, method='createAirfoilPart',
            objectName='abq_AirfoilPart.airfoilPartUtils', registerQuery=False)
        self.modelNameKw = AFXStringKeyword(self.cmd, 'modelName', True, 'Model-1')
        self.fileNameKw = AFXStringKeyword(self.cmd, 'fileName', True, '')

        # Partitions
        #
        self.numberOfPartitionsKw = AFXStringKeyword(self.cmd, 'numberOfPartitions', True, '')

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):

        from abq_AirfoilPart.airfoilPartDB import AirfoilPartDB
        self.db = AirfoilPartDB(self)
        return self.db

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def doCustomChecks(self):

        # Set model name
        #
        c = getCurrentContext()
        self.modelNameKw.setValue(c['modelName'])
        
        # Check if boolean for partitions is off. Set it to '' since user may
        # have set a value, then turned off
        #
        if not self.db.numberPartitions.getCheck():
            self.numberOfPartitionsKw.setValue('')
        
        return True