from abaqusGui import *


###########################################################################
# Class definition
###########################################################################

class CopyDB(AFXDataDialog):
    numInstance = 0
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form, owner):

        CopyDB.numInstance+=1
        AFXDataDialog.__init__(self, form, owner, 'Copy', 
            self.OK|self.CANCEL)

        # Set the prefix
        #
        getAFXAliasMap().setPrefix(self, 'caeManagerTemplateCopy-%d' % CopyDB.numInstance)

        self.nameText = AFXTextField(self, 30, '', form.newNameKw, 0, 
            AFXTEXTFIELD_VERTICAL|LAYOUT_FILL_X)
        getAFXAliasMap().setName(self.nameText, 'TextField')
        
        # Set default button
        #
        self.getActionButton(self.ID_CLICKED_OK).setDefault()
        
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def setValues(self, name):

        self.nameText.setLabelText('Copy "%s" to:' % name)
