from abaqusGui import *
from abq_CaeManagerTemplate.copyDB import CopyDB

###########################################################################
# Class definition
###########################################################################

class CopyForm(AFXForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, formOwner, dbOwner, repository):
    
        self.dbOwner = dbOwner

        AFXForm.__init__(self, formOwner)
                        
        self.cmd = AFXGuiCommand(self, 'copy') 
        self.newNameKw = AFXStringKeyword(self.cmd, 'newName', True)        
        self.repository = self.cmd.expandObjectName(repository)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def setValues(self, name): 

        object = "%s['%s']" % (self.repository, name)
        self.cmd.setObjectName(object)
        self.newNameKw.setValue(name)
        
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
    
        db = CopyDB(self, self.dbOwner)
        db.setValues(self.newNameKw.getValue())
        return db

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def doCustomChecks(self):
    
        # Do not allow copying to a name that already exists.
        #
        exec('existingNames = %s.keys()' % self.repository )
        newName = self.newNameKw.getValue()
        if newName in existingNames:
            showAFXErrorDialog(self.getCurrentDialog(),
                '"%s" already exists.\n\n' 
                'Delete that object first, \n'
                'or specify a different name.' % newName
            )
            return False

        return True
