from abaqusGui import *
from abq_CaeManagerTemplate.managerDB import ManagerDB


###########################################################################
# Class definition
###########################################################################

class ManagerForm(AFXForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner, createForm, editForm, repository, baseName,
        managerTitle, managerLabels='Name'):
    
        AFXForm.__init__(self, owner)

        # Store member values.
        #
        self.owner = owner
        self.createForm = createForm
        self.editForm = editForm
        self.repository = repository
        self.baseName = baseName
        self.managerTitle = managerTitle
        self.managerLabels = managerLabels
        
        # Set values on the create and edit forms.
        #
        self.createForm.setValues(repository, baseName)
        self.editForm.setValues(repository, baseName)
        
        # The copy and rename forms get created in managerDB.
        #
        self.copyForm = None
        self.renameForm = None
        self.db = None

        # Create a dummy command to use the getExpandedObjectName functionality
        #
        self.cmd = AFXGuiCommand(self, '', repository)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):

        if not self.db:
            self.db = ManagerDB(self, self.repository, self.managerTitle, 
                self.managerLabels)
        return self.db
