from abaqusGui import *


###########################################################################
# Class definition
###########################################################################

class RenameDB(AFXDataDialog):
    numInstance = 0
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form, owner, repository):

        RenameDB.numInstance+=1
        AFXDataDialog.__init__(self, form, owner, 'Rename', 
            self.OK|self.CANCEL)

        # Set the prefix
        #
        getAFXAliasMap().setPrefix(self, 'caeManagerTemplateRename-%d' % RenameDB.numInstance)

        self.nameText = AFXTextField(self, 30, '', form.toNameKw, 0, 
            AFXTEXTFIELD_VERTICAL|LAYOUT_FILL_X)
        getAFXAliasMap().setName(self.nameText, 'TextField')

        # Set default button
        #
        self.getActionButton(self.ID_CLICKED_OK).setDefault()
        
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def setValues(self, fromName):

        self.nameText.setLabelText('Rename "%s" to:' % fromName)
