from abaqusGui import *
from abq_CaeManagerTemplate.renameDB import RenameDB

###########################################################################
# Class definition
###########################################################################

class RenameForm(AFXForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, formOwner, dbOwner, repository):
    
        self.dbOwner = dbOwner
        
        AFXForm.__init__(self, formOwner)
                        
        self.cmd = AFXGuiCommand(self, 'changeKey', repository)
        self.fromNameKw = AFXStringKeyword(self.cmd, 'fromName', True)
        self.toNameKw = AFXStringKeyword(self.cmd, 'toName', True)
        self.repository = self.cmd.expandObjectName(repository)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def setValues(self, name):
    
        self.fromNameKw.setValue(name)
        self.toNameKw.setValue(name)
        
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
    
        db = RenameDB(self, self.dbOwner, self.repository )
        db.setValues( self.fromNameKw.getValue() )
        return db
        
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def doCustomChecks(self):
    
        # Do not allow renaming to a name that already exists.
        #
        exec('existingNames = %s.keys()' % self.repository )
        toName = self.toNameKw.getValue()
        if toName in existingNames:
            showAFXErrorDialog(self.getCurrentDialog(),
                '"%s" already exists.\n\n' 
                'Delete that object first, \n'
                'or specify a different name.' % toName
            )
            return False
        
        return True
