from abaqusGui import *

###########################################################################
# Class definition
###########################################################################

class CampbellForm(AFXForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):

        # Construct the base class
        #
        AFXForm.__init__(self, owner)

        # Command to openOdb
        #            
        self.cmd = AFXGuiCommand(self, 'createCampbellDiagram',
                                 'abq_CampbellDiagram.campbellModule')
        self.odbPathKw = AFXStringKeyword(self.cmd, 'odbPath', True, '')
        self.useStepsKw = AFXStringKeyword(self.cmd, 'useSteps', True, '')
        self.modesKw = AFXStringKeyword(self.cmd, 'modes', True, '')
        self.modesToPlotKw = AFXIntKeyword(self.cmd, 'modesToPlot', True, 1)
        self.nodeSetKw = AFXStringKeyword(self.cmd, 'nodeSet', True, '')
        self.useMassKw = AFXBoolKeyword(self.cmd, 'useMass',
                                        isRequired=True, defaultValue=True)
        #
        # output keywords
        self.xyPrefixKw = AFXStringKeyword(self.cmd, 'xyPrefix', True, '')
        self.calcCritPtIntersectionKw = AFXBoolKeyword(self.cmd, 'calcCritPtIntersection', 
                                          isRequired=True, defaultValue=True)
        self.refMultiplierKw = AFXStringKeyword(self.cmd, 'refMultiplier', True, '')
        self.dirnKw = AFXStringKeyword(self.cmd, 'spinDirn', True)
        self.refFrameKw = AFXStringKeyword(self.cmd, 'refFrame', True)
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):

        from abq_CampbellDiagram.campbellDB import CampbellDB
        self.db = CampbellDB(self)
        
        return self.db

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def doCustomTasks(self):

        # perform an update of the update plot button.
        # 

        db = self.getCurrentDialog()
        db._checkStatusMessages()
        
        return None

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def handleException(self, exception):

        errorType = exception[0]
        errorValue = exception[1]
        db = self.getCurrentDialog()
        if errorType == ZeroDivisionError:
            showAFXErrorDialog(db,
                'Division by zero has occurred.\n'
                'A possible reason is mismatching node numbers.\n'
                'Please ensure that node numbers match between '
                'output databases.')
        else:
            showAFXErrorDialog(db, str(errorValue))
