"""
Implements all constants which might be modified be an experienced ! user.
"""
import os,sys

from abq_CampbellDiagram import __path__
CAMPBELL_PACKAGE_PATH = __path__[0]

PLUGIN_NAME = 'Campbell Diagram'

BLK1 = ' '*4
BLK2 = BLK1*2
BLK3 = BLK1*3
INFO_LINE = '\n'+50*'+'+'\n'

#
# Use following syntax:
#  (pos, text field description, value, tip text)
#
# following order will be used:
#
#  all entries with pos equal to 0 are sorted in the left aligner
#  all entries with pos equal to 1 are sorted in the right aligner
# ...
REF_CURVE_LIST = [(1,True),
                  (2,False),
                  (3,False),
                  (4,False),
                  ]

REF_CURVE_PREFIX = 'Ref_'
CROSS_POINT_PREFIX = 'CrossPoint at Ref_'

USE_ALL_MODES_STATE = True
USE_NSET_STATE = False
USE_MASS_STATE = False

USE_NORMALIZATION = False

###########################################################################
# Constants for SYSTEM SETTINGS:
#--------------------------------
# DEBUG_LEVEL: if > 0: more debug output is created.
if os.environ.has_key('CAMPBELL_DEBUG'):
    try:
        DEBUG_RUN_MODE = int(os.environ['CAMPBELL_DEBUG'])
    except:
        DEBUG_RUN_MODE = 0 # if format is wrong, use default.
else:
    DEBUG_RUN_MODE = 0
#
DEBUG_RELOAD_MODE = False
