from abaqusGui import *

###########################################################################
# Class definition
###########################################################################

class JobMonitorDB(AFXDataDialog):

    numInstance = 0
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form, jobName):
        JobMonitorDB.numInstance += 1
        # Construct the base class.
        #
        AFXDataDialog.__init__(self, form, jobName + ' Monitor', 0,
                               DECOR_RESIZE|DECOR_MAXIMIZE)
        self.form = form
        self.appendActionButton(text='Refresh',tgt=self,
                                sel=self.ID_CLICKED_APPLY)
        self.appendActionButton(text='Dismiss',tgt=self,
                                sel=self.ID_CLICKED_CANCEL)
        getAFXAliasMap().setPrefix(self, 'jobmonitor-%d'
                                           % JobMonitorDB.numInstance)
        FXMAPFUNC(self,SEL_COMMAND,self.ID_CLICKED_CANCEL,JobMonitorDB.onCancel)
        FXMAPFUNC(self,SEL_COMMAND,self.ID_CLICKED_APPLY,JobMonitorDB.onRefresh)
        txt = 'Job:  ' + self.form.jobNameKw.getValue()
        FXLabel(p=self, text=txt, ic=None, opts=0, x=0, y=0, w=0, h=0,pl=DEFAULT_PAD,
                pr=DEFAULT_PAD, pt=DEFAULT_PAD, pb=DEFAULT_PAD)
        tabBook = FXTabBook(p=self, tgt=None, sel=0, opts=TABBOOK_NORMAL|LAYOUT_FILL_X|LAYOUT_FILL_Y,
            x=0, y=0, w=0, h=0, pl=DEFAULT_SPACING, pr=DEFAULT_SPACING,
            pt=DEFAULT_SPACING, pb=DEFAULT_SPACING)
        tab1=FXTabItem(p=tabBook, text='Log', ic=None, opts=TAB_TOP_NORMAL|LAYOUT_FILL_X|LAYOUT_FILL_Y,
            x=0, y=0, w=0, h=0, pl=6, pr=6, pt=DEFAULT_PAD, pb=DEFAULT_PAD)
        getAFXAliasMap().setName(tab1, 'tab1')
        tabVf = FXVerticalFrame(p=tabBook, opts=FRAME_RAISED|FRAME_THICK|LAYOUT_FILL_X|LAYOUT_FILL_Y,
            x=0, y=0, w=0, h=0, pl=DEFAULT_SPACING, pr=DEFAULT_SPACING,
            pt=DEFAULT_SPACING, pb=DEFAULT_SPACING, hs=DEFAULT_SPACING, vs=DEFAULT_SPACING)
        vf = FXVerticalFrame(p=tabVf, opts=FRAME_SUNKEN|FRAME_THICK|LAYOUT_FILL_X|LAYOUT_FILL_Y, x=0, y=0, w=0, h=0,
            pl=0, pr=0, pt=0, pb=0, hs=0, vs=0)
        self.logTxt = FXText(p=vf, tgt=None, sel=0, opts=LAYOUT_FILL_X|LAYOUT_FILL_Y|TEXT_READONLY|FRAME_RAISED, x=0, y=0, w=0, h=0)	
       
        tab2=FXTabItem(p=tabBook, text='Status', ic=None, opts=TAB_TOP_NORMAL|LAYOUT_FILL_X|LAYOUT_FILL_Y,
            x=0, y=0, w=0, h=0, pl=6, pr=6, pt=DEFAULT_PAD, pb=DEFAULT_PAD)
        getAFXAliasMap().setName(tab2, 'tab2')
        tabVf = FXVerticalFrame(p=tabBook, opts=FRAME_RAISED|FRAME_THICK|LAYOUT_FILL_X|LAYOUT_FILL_Y,
            x=0, y=0, w=0, h=0, pl=DEFAULT_SPACING, pr=DEFAULT_SPACING,
            pt=DEFAULT_SPACING, pb=DEFAULT_SPACING, hs=DEFAULT_SPACING, vs=DEFAULT_SPACING)
        vf = FXVerticalFrame(p=tabVf, opts=FRAME_SUNKEN|FRAME_THICK|LAYOUT_FILL_X|LAYOUT_FILL_Y, x=0, y=0, w=0, h=0,
            pl=0, pr=0, pt=0, pb=0, hs=0, vs=0)
        self.staTxt = FXText(p=vf, tgt=None, sel=0, opts=LAYOUT_FILL_X|LAYOUT_FILL_Y|TEXT_READONLY, x=0, y=0, w=0, h=0)
	
        tab3=FXTabItem(p=tabBook, text='DAT', ic=None, opts=TAB_TOP_NORMAL|LAYOUT_FILL_X|LAYOUT_FILL_Y,
            x=0, y=0, w=0, h=0, pl=6, pr=6, pt=DEFAULT_PAD, pb=DEFAULT_PAD)
        getAFXAliasMap().setName(tab3, 'tab3')
        tabVf = FXVerticalFrame(p=tabBook, opts=FRAME_RAISED|FRAME_THICK|LAYOUT_FILL_X|LAYOUT_FILL_Y,
            x=0, y=0, w=0, h=0, pl=DEFAULT_SPACING, pr=DEFAULT_SPACING,
            pt=DEFAULT_SPACING, pb=DEFAULT_SPACING, hs=DEFAULT_SPACING, vs=DEFAULT_SPACING)
        vf = FXVerticalFrame(p=tabVf, opts=FRAME_SUNKEN|FRAME_THICK|LAYOUT_FILL_X|LAYOUT_FILL_Y, x=0, y=0, w=0, h=0,
            pl=0, pr=0, pt=0, pb=0, hs=0, vs=0)
        self.datTxt = FXText(p=vf, tgt=None, sel=0, opts=LAYOUT_FILL_X|LAYOUT_FILL_Y|TEXT_READONLY, x=0, y=0, w=0, h=0)
       
        tab4=FXTabItem(p=tabBook, text='Message', ic=None, opts=TAB_TOP_NORMAL|LAYOUT_FILL_X|LAYOUT_FILL_Y,
            x=0, y=0, w=0, h=0, pl=6, pr=6, pt=DEFAULT_PAD, pb=DEFAULT_PAD)
        getAFXAliasMap().setName(tab4, 'tab4')
        tabVf = FXVerticalFrame(p=tabBook, opts=FRAME_RAISED|FRAME_THICK|LAYOUT_FILL_X|LAYOUT_FILL_Y,
            x=0, y=0, w=0, h=0, pl=DEFAULT_SPACING, pr=DEFAULT_SPACING,
            pt=DEFAULT_SPACING, pb=DEFAULT_SPACING, hs=DEFAULT_SPACING, vs=DEFAULT_SPACING)
        vf = FXVerticalFrame(p=tabVf, opts=FRAME_SUNKEN|FRAME_THICK|LAYOUT_FILL_X|LAYOUT_FILL_Y, x=0, y=0, w=0, h=0,
            pl=0, pr=0, pt=0, pb=0, hs=0, vs=0)
        self.msgTxt = FXText(p=vf, tgt=None, sel=0, opts=LAYOUT_FILL_X|LAYOUT_FILL_Y|TEXT_READONLY, x=0, y=0, w=0, h=0)

        self.updateFiles()

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def onCancel(self,sender,sel,ptr):
        """
        """
        
        self.hide()

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def onRefresh(self,sender,sel,ptr):
        """
        """
        
        self.updateFiles()

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def updateFiles(self):

        import os
        
        jobName = self.form.jobNameKw.getValue()
        logFile = jobName + '.log'
        datFile = jobName + '.dat'
        msgFile = jobName + '.msg'
        staFile = jobName + '.sta'

        fileList = [logFile, staFile, datFile, msgFile]
        fileDict = {}
        fileDict[logFile] = [self.logTxt]
        fileDict[staFile] = [self.staTxt]
        fileDict[datFile] = [self.datTxt]
        fileDict[msgFile] = [self.msgTxt]

        for fileName in fileDict.keys():
            fileDict[fileName][0].setVisRows(30)
            fileDict[fileName][0].setVisCols(80)
            fontO = getAFXFont(opts=FONT_MONOSPACE)
            fileDict[fileName][0].setFont(fontO)
            if not os.path.exists(fileName):
                msg = " file does not exist in the run directory."                
                fileDict[fileName][0].setText(fileName + msg)
            else:
                fileObj = open(fileName, 'r')
                readStr = fileObj.read()
                if not readStr:
                    fileDict[fileName][0].setText(fileName + " file is empty.")
                else:                    
                    fileDict[fileName][0].setText(readStr)
            
            
