from abaqusGui import *
from dymolaConstants import *

###########################################################################
# Class definition
###########################################################################

class UpdateDymolaForm(AFXForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):

        AFXForm.__init__(self, owner)
        self.dymNameKw = AFXStringKeyword(None, 'dymolaFile',
                                          isRequired=True)
        self.patternIndexTgt = AFXIntTarget(0)
        
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
        """
        """
        from abq_Dymola.dymolaDB import DymolaDB
        self.dymNameKw.setValue(None)
        dtext = 'Match Existing Dymola File'
        self.dymolaDB = DymolaDB(self, UPDATE, dtext)
        return self.dymolaDB

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def verifyKeywordValues(self):
        """
        """
        mainWindow = getAFXApp().getAFXMainWindow()
        if not self.dymNameKw.getValue():
            showAFXErrorDialog(mainWindow, 'A file name must be specified.')
            return 0

        self.dymolaDB.processLists()
#        self.dymolaDB.deactivate()
#        self.deactivate()
        
        return 1

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def validNameCheck(self, name, type):
        """
        This method checks text fields for valid characters.
        """

        errMsg = 'Invalid name.\n'
        errMsg = errMsg + '\n'
        errMsg = errMsg + type + ' names must be 1-38 characters long,\n'
        errMsg = errMsg + 'may not begin or end with an underscore,\n'
        errMsg = errMsg + 'may not beign with a dash, and may not,\n'
        errMsg = errMsg + 'contain non-printable characters or the\n'
        errMsg = errMsg + 'following characters:\n'
        errMsg = errMsg + '\n'
        errMsg = errMsg + '<space> . $ & * ~ ! ()\n'
        errMsg = errMsg + '[] {} | ; : ` < > ? " / \' \\'
        
        invalidList = [' ', '.', '$', '&', '*', '~', '`', '!',
                       '(', ')', '[', ']', '{', '}', '|', '/',
                       ';', ':', "'", '"', '<', '>', '?', '.', '\\']

        mainWindow = self.getCurrentDialog()

        if len(name) > 38:
            showAFXErrorDialog(mainWindow, errMsg)
            return 0
        elif name[0] in ['_', '-'] or name[-1] in ['_', '-']:
            showAFXErrorDialog(mainWindow, errMsg)
            return 0
        else:
            for i in name:
                if i in invalidList:
                    showAFXErrorDialog(mainWindow, errMsg)
                    return 0
        
        return 1
