from abaqus import *
import visualization

#########################################################################
def showPlot(allae,allsd,allke,allvd,allie,allse):
    numerator=((allae,"ALLAE"),(allsd,"ALLSD"),(allke,"ALLKE"),(allvd,"ALLVD"))
    denominator=((allie,"ALLIE"),(allse,"ALLSE"))    

    # Create variables
    #
    o=session.odbs[session.viewports[session.currentViewportName].odbDisplay.name]
    stepList=o.steps.keys()
    xyDataObjectKeys = session.xyDataObjects.keys()
    if allae:
        xyallae = session.XYDataFromHistory(name='ALLAE', odb=o,
                                            outputVariableName='Artificial strain energy: ALLAE for Whole Model',
                                            steps=stepList)
    if allsd:
        xyallae = session.XYDataFromHistory(name='ALLSD', odb=o,
                                            outputVariableName='Static dissipation (stabilization): ALLSD for Whole Model',
                                            steps=stepList)
    if allke:
        xyallae = session.XYDataFromHistory(name='ALLKE', odb=o,
                                            outputVariableName='Kinetic energy: ALLKE for Whole Model',
                                            steps=stepList)
    if allvd:
        xyallae = session.XYDataFromHistory(name='ALLVD', odb=o,
                                            outputVariableName='Viscous dissipation: ALLVD for Whole Model',
                                            steps=stepList)
    if allie:
        tmpxy = session.XYDataFromHistory(name='ALLIE', odb=o,
                                          outputVariableName='Internal energy: ALLIE for Whole Model',
                                          steps=stepList)
        # Divide by zero!
        #
        dat=list(tmpxy.data)
        max=0.0
        zeroLocation=[]
        for index in range(len(dat)):
            val=dat[index]
            if val[1] > max:
                max=val[1]
            if val[1] == 0:
                zeroLocation.append(index)
        if len(zeroLocation) != 0:
            print "Data changed as there was possibility of divide by zero error."
            print "max(ALLIE)*0.0001 was added for the zero point."
            for index in zeroLocation:
                val=dat[index]
                dat[index]=(val[0],max*0.0001)
        dat=tuple(dat)
        xyallae = session.XYData(name="ALLIE", data=dat, sourceDescription="Data Modified to remove zeros")
    if allse:
        tmpxy = session.XYDataFromHistory(name='ALLSE', odb=o,
                                          outputVariableName='Strain energy: ALLSE for Whole Model',
                                          steps=stepList)
        # Divide by zero!
        #
        dat=list(tmpxy.data)
        max=0.0
        zeroLocation=[]
        for index in range(len(dat)):
            val=dat[index]
            if val[1] > max:
                max=val[1]
            if val[1] == 0:
                zeroLocation.append(index)
        if len(zeroLocation) != 0:
            print "Data changed as there was possibility of divide by zero error"
            print "max(ALLSE)*0.0001 was added for the zero point"
            for index in zeroLocation:
                val=dat[index]
                dat[index]=(val[0],max*0.0001)
        dat=tuple(dat)
        xyallae = session.XYData(name="ALLSE", data=dat, sourceDescription="Data Modified to remove zeros")

    # Set XYPlot name
    #
    curveList=[]
    keys = session.xyPlots.keys()
    index = len(keys) + 1
    defaultName = '%s-%d' % ('XYPLOT', index)
    while defaultName in keys:
        index += 1
        defaultName = '%s-%d' % (self.baseName, index)
    xyp = session.XYPlot(defaultName)
    chart = xyp.charts.values()[0]

    # Plot value
    #
    for index1 in range(len(numerator)):
        for index2 in range(len(denominator)):
            if numerator[index1][0]:
                if denominator[index2][0]:
                    curve_name = numerator[index1][1]+"/"+denominator[index2][1]
                    curveToPlot = (session.xyDataObjects[numerator[index1][1]]/(session.xyDataObjects[denominator[index2][1]]))*100.0 
                    session.XYData(name=curve_name,objectToCopy=curveToPlot,sourceDescription=curve_name)
                    # Bug in /Viewer when diving.  Axis 2 type not assigned correctly.  In this plug-in, division
                    # will always lead to NONE type, so setting both axes manually.
                    session.xyDataObjects[curve_name].axis1QuantityType.setValues(type=NONE)
                    session.xyDataObjects[curve_name].axis2QuantityType.setValues(type=NONE)
                    c1 = session.Curve(curve_name,curveToPlot)
                    curveList.append(c1)
    chart.setValues(curvesToPlot=tuple(curveList))
    session.viewports[session.currentViewportName].setValues(displayedObject=xyp)
    chart.axes2[0].axisData.setValues(useSystemTitle=False,title='Energy ratio(s) as %')