from abaqusGui import *


###########################################################################
# Class definition
###########################################################################

class exteriorMeshDB(AFXDataDialog):
    [
        ID_1,
        ID_2,
        ID_LAST
    ] = range(AFXDataDialog.ID_LAST, AFXDataDialog.ID_LAST+3)
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form):
	#
        # Construct the base class.
        #
	self.form=form
        AFXDataDialog.__init__(self, form, 'Exterior Mesh',
            self.OK|self.APPLY|self.CANCEL, DECOR_RESIZE|DIALOG_ACTIONS_SEPARATOR)

        getAFXAliasMap().setPrefix(self, 'exteriorMeshDB')
	#------------------------------------------------------------------
	gbInput = FXGroupBox(self, 'Model & Part:', FRAME_GROOVE|LAYOUT_FILL_X)
        vaInput = AFXVerticalAligner(gbInput)
	#mInp1 = FXMatrix(gbInput, 4)
	
	#Create a combobox corresponding to 'Select Model'
	self.comboBox1 = AFXComboBox(vaInput, 1, 4, 'Select Model:',self,self.ID_1)
        getAFXAliasMap().setName(self.comboBox1, 'modelComboBox')
	form.modelsCombo.setValue("Combo1")
	
	self.comboBox2 = AFXComboBox(vaInput, 1, 3, 'Select Part:',self,self.ID_2)
        getAFXAliasMap().setName(self.comboBox2, 'partComboBox')
	part=mdb.models.values()[0].parts
	for pKey in part.keys():
	    self.comboBox2.appendItem(pKey)
	form.partsCombo.setValue(self.comboBox2.getText())

	
	mOutput = FXMatrix(self, 1)
	#Create the textbox corresponding to 'Output file name:'
        T_set=AFXTextField(mOutput, 10, 'Node Set:', form.setName, 0)
        getAFXAliasMap().setName(T_set, 'setTextBox')
        T_surf=AFXTextField(mOutput, 10, 'Surface Name', form.surfName, 0) 
        getAFXAliasMap().setName(T_surf, 'surfaceTextBox')
	form.setName.setValue("nset1") 
	form.surfName.setValue("surf1") 
	
	#Map fucntions:
	#ID self.ID_1 is mapped to methond 'onChkT1'
	FXMAPFUNC(self, SEL_COMMAND, self.ID_1, exteriorMeshDB.onChkT1)
	#ID self.ID_2 is mapped to methond 'onChkT2'
	FXMAPFUNC(self, SEL_COMMAND, self.ID_2, exteriorMeshDB.onChkT2)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 	
    #
    def onChkT1(self, sender, sel, ptr):
    	#print "Model CBOX=",sender.getText()
    	mCombo=self.form.modelsCombo
	mdb.models[mCombo.getValue()].parts.unregisterQuery(self.onPartsUpdate)
        mCombo.setValue(sender.getText())
        self.comboBox2.clearItems()
        for pKey in mdb.models[sender.getText()].parts.keys():
	    self.comboBox2.appendItem(pKey)
	self.form.partsCombo.setValue(self.comboBox2.getText())
	mdb.models[sender.getText()].parts.registerQuery(self.onPartsUpdate,FALSE)
	#print "onChkT1",SELID(sel)
    #
    def onChkT2(self, sender, sel, ptr):
    	#print "Parts CBOX=",sender.getText()
        self.form.partsCombo.setValue(sender.getText())

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def onUpdate(self):
    	self.comboBox1.clearItems()
    	#print "Models Updated"
    	for mKey in mdb.models.keys():
	        self.comboBox1.appendItem(mKey)
	self.form.modelsCombo.setValue(self.comboBox1.getText())

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def onPartsUpdate(self):
    	self.comboBox2.clearItems()
    	#print "Parts Updated"
    	for pKey in mdb.models[ self.comboBox1.getText()].parts.keys():
	        self.comboBox2.appendItem(pKey)
	self.form.partsCombo.setValue(self.comboBox2.getText())
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def hide(self):

        mdb.models.unregisterQuery(self.onUpdate)
        mdb.models[self.comboBox1.getText()].parts.unregisterQuery(self.onPartsUpdate)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def show(self):

        mdb.models.registerQuery(self.onUpdate)
        mdb.models[self.comboBox1.getText()].parts.registerQuery(self.onPartsUpdate,FALSE)
        AFXDataDialog.show(self)
        
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
    