
from odbAccess import *
from abaqus import * 
from abaqusConstants import *

def extMesh (modelsCombo="m1",partsCombo="p1",setName="n1",surfName="s1"):
	#print modelsCombo,partsCombo,setName,surfName
	if setName=="":
		setName="nset"
	if surfName=="":
		surfName="surfset"
	p = mdb.models[modelsCombo].parts[partsCombo]
	n = p.nodes
	e = p.elements
	if len(n) == 0 or len(e)==0:
		raise ValueError, 'Part not meshed'
	else:
            try:
                meshedPart(partObj=p,nsetStr=setName,ssetStr=surfName)
            except:
		print "Error"
            #a = mdb.models[modelsCombo].rootAssembly
            #a.regenerate()
	
def meshedPart (partObj,nsetStr,ssetStr):
	#session.journalOptions.setValues(replayGeometry=COORDINATE, recoverGeometry=COORDINATE)
	print "-----------------------------------------------------------"
	#
	# Generate outer elements and surface
	#
	mf = {'face1':[],
	      'face2':[],
	      'face3':[],
	      'face4':[],
	      'face5':[],
	      'face6':[],}
	
	nodesForNset=[]
	for _e in partObj.elements:
	    for _f in _e.getElemFaces():
		eles = _f.getElements()
		if len(eles) == 1:
		    nodesForNset+=list(_f.getNodes())
		    face = str(_f.face).lower()
		    mf[face] += [eles[0].label]

	#
	import mesh
	Nset=mesh.MeshNodeArray( nodes = tuple(nodesForNset) )
	partObj.Set(nodes=Nset, name=nsetStr)
	
	cmd = {'name' : ssetStr}
	for _face in sorted(mf):
	    
	    eleSeq = list(set(mf[_face]))
	    cmd[_face+'Elements'] = partObj.elements.sequenceFromLabels(eleSeq)
	
	partObj.Surface(**cmd)

	