from abaqusGui import *
thisPath = os.path.abspath(__file__)
thisDir = os.path.dirname(thisPath)
###########################################################################
# Class definition
###########################################################################

class InputFileDB(AFXDataDialog):

    [
        ID_FILE,
    ] = range(AFXToolsetGui.ID_LAST, AFXToolsetGui.ID_LAST+1)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form):
    
        self.form = form
        self.fileDb = None
        icon = afxCreatePNGIcon(os.path.join(thisDir,"fileSelectSmall.png"))
        AFXDataDialog.__init__(self, form, 'Write Input File', 
            self.OK|self.CANCEL, DECOR_RESIZE|DIALOG_ACTIONS_SEPARATOR)

        FXMAPFUNC(self, SEL_COMMAND, self.ID_FILE, InputFileDB.onCmdFile)
                
        FXLabel(self, 
            'This utility will create an input file from the\n'
            'elements shown in the current viewport.',
            None, JUSTIFY_LEFT)
        
        hf = FXHorizontalFrame(self, LAYOUT_FILL_X, 0,0,0,0, 0,0,0,0)
        AFXTextField(hf, 20, 'Input file name:', form.fileNameKw, 0, LAYOUT_FILL_X)
        FXButton(hf, '\tSelect an input file', icon, self, self.ID_FILE)

        
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def onCmdFile(self, sender, sel, ptr):
    
        if not self.fileDb:
            patterns = 'Input files (*.inp)\nAll files (*.*)'
            self.fileDb = AFXFileSelectorDialog(self, 'Select a File', 
                self.form.fileNameKw, None, 
                AFXSELECTFILE_ANY, patterns, None)
            self.fileDb.create()
            
        self.fileDb.showModal()
        
        return 1

 