from abaqusGui import *
from abq_InputFile_deformed_config.inputFileDB import InputFileDB


###########################################################################
# Class definition
###########################################################################

class InputFileForm(AFXForm):

    ID_OVERWRITE, = range(AFXForm.ID_LAST,AFXForm.ID_LAST+1)
    
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):
  
        AFXForm.__init__(self, owner)
    
        cmd = AFXGuiCommand(self, 'writeInputFromViewport', 'abq_InputFile_deformed_config.inputFileUtils')
        self.fileNameKw = AFXStringKeyword(cmd, 'fileName', TRUE)
        FXMAPFUNC(self, SEL_COMMAND, self.ID_OVERWRITE,InputFileForm.onCmdOverwrite)

      
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
    
        return InputFileDB(self)
      
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def doCustomChecks(self):
    
        
        # Check for file name
        #
        fileName = self.fileNameKw.getValue().strip()
        if fileName == '':
            showAFXErrorDialog(self.getCurrentDialog(),
                'A file name must be specified.')
            return False
            
        if os.path.exists(fileName):
            msg = 'File "%s" already exists.\n\nOK to overwrite?' % fileName
            showAFXWarningDialog(self.getCurrentDialog(), msg, 
                                AFXDialog.YES|AFXDialog.NO, self, self.ID_OVERWRITE)
            return False                    
            
        # If file name has no extension, add ".inp"
        #
        ext = os.path.splitext(fileName)[1]
        if not ext:
            fileName += '.inp'
            self.fileNameKw.setValue(fileName)

        return True

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def onCmdOverwrite(self,sender,sel,ptr):
        if sender.getPressedButtonId() == AFXDialog.ID_CLICKED_YES:
            self.issueCommands()
        else:
            #self.deactivate()
            pass
