from abaqusGui import *
import abq_PlotMultiPaths.plotMultiPathsDB as plotMultiPathsDB

###########################################################################
# Class definition
###########################################################################

class PlotMultiPathsForm(AFXForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):
        
        # Construct the base class.
        #
        AFXForm.__init__(self, owner)
        self.radioButtonGroups = {}

        self.plotCmd = AFXGuiCommand(mode=self, method='plotPaths',
            objectName='abq_PlotMultiPaths.plotMultiPathsKernel', registerQuery=False)
        pickedDefault = ''
        self.path1Kw = AFXStringKeyword(self.plotCmd, 'path1', True)
        self.useColorKw = AFXBoolKeyword(self.plotCmd, 'useColor', isRequired=True)
        self.useEndMarkerKw = AFXBoolKeyword(self.plotCmd, 'useEndMarker', isRequired=True)
        self.fontSizeKw = AFXIntKeyword(self.plotCmd, 'fontSize', isRequired=True)
        self.addNameToPathKw = AFXBoolKeyword(self.plotCmd, 'addNameToPath', isRequired=True)
        #
        self.useColorKw.setValue(False)
        self.fontSizeKw.setValue(12)
        
        #------------------------------------------------------------------
        # Add cmd to write parameters to file.
        self.deleteCmd = AFXGuiCommand(self, 'deletePlotPaths', 'abq_PlotMultiPaths.plotMultiPathsKernel')

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):

        reload(plotMultiPathsDB)
        self.db = plotMultiPathsDB.PlotMultiPathsDB(self)
        return self.db

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def doCustomChecks(self):

        return True