from abaqusGui import *

###########################################################################
# Class definition
###########################################################################

class SlnSlideLineDB(AFXDataDialog):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form):
    
        text_width = 20

        self.form = form

        AFXDataDialog.__init__(self, self.form, 'Slide Line Creation', self.OK|self.CANCEL,
                               DIALOG_ACTIONS_SEPARATOR)
        #GUILOG
        getAFXAliasMap().setPrefix(self, 'SlnSlideLineDB')
        #ENDGUILOG

        vf = FXVerticalFrame(self, FRAME_NONE|LAYOUT_FILL_X)

        gb1 = FXGroupBox(vf, 'Contact Surface Assignments', FRAME_GROOVE|LAYOUT_FILL_X)
        vf1 = FXVerticalFrame(gb1, LAYOUT_FILL_X)
        va = AFXVerticalAligner(vf1, LAYOUT_FILL_X)
        self.elsetText = AFXTextField(va, text_width, 'ISL21A/ISL22A Elset name:',
                                      self.form.elsetNameKw, 0, AFXTEXTFIELD_STRING)
        self.masterBox = AFXComboBox(va, text_width-2, 5, 'Master surface name:', self.form.masterSurfaceNameKw)
        self.slaveBox = AFXComboBox(va, text_width-2, 5, 'Slave surface name:', self.form.slaveSurfaceNameKw)
        self.propertyBox = AFXComboBox(va, text_width-2, 5, 'Interaction property name:', self.form.interactionPropertyNameKw)

        gb2 = FXGroupBox(vf, 'Plane Assignments', FRAME_GROOVE|LAYOUT_FILL_X)
        vf2 = FXVerticalFrame(gb2)
        va2 = AFXVerticalAligner(vf2, LAYOUT_FILL_X)
        self.numModesBox = AFXComboBox(va2, text_width-2, 4, 'Number of modes:', self.form.numModesKw)
        self.numModesBox.appendItem("1",1)
        self.numModesBox.appendItem("2",2)
        self.numModesBox.appendItem("3",3)
        self.numModesBox.appendItem("4",4)
        self.elemIncText = AFXTextField(va2, text_width, 'ISL element number offset:',
                                        self.form.elemIncKw, 0, AFXTEXTFIELD_INTEGER)
        self.nodeIncText = AFXTextField(va2, text_width, 'CAXA node number offset:',
                                        self.form.nodeIncKw, 0, AFXTEXTFIELD_INTEGER)

        #GUILOG
        getAFXAliasMap().setName(self.elsetText, 'ElsetText')
        getAFXAliasMap().setName(self.masterBox, 'MasterBox')
        getAFXAliasMap().setName(self.slaveBox, 'slaveBox')
        getAFXAliasMap().setName(self.propertyBox, 'propertyBox')
        getAFXAliasMap().setName(self.numModesBox, 'numModesBox')
        getAFXAliasMap().setName(self.elemIncText, 'elemIncText')
        getAFXAliasMap().setName(self.nodeIncText, 'nodeIncText')
        #ENDGUILOG