from abq_Vcct.contactClearanceForm import ContactClearanceForm
from abq_CaeManagerTemplate.managerForm import ManagerForm

###########################################################################
# Contact Clearance Manager Class definition
###########################################################################

class ContactClearanceManForm(ManagerForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):
    
        ContactClearanceCreateForm = ContactClearanceForm(owner, 'CREATE')
        ContactClearanceEditForm = ContactClearanceForm(owner, 'EDIT')

        self.repository = 'mdb.customData.vcct.models[%s].contactClearances'
        self.baseName = 'Contact Clearance'
        ContactClearanceCreateForm.setModeName('ContactClearanceCreateForm')

        ManagerForm.__init__(self,
                             owner,
                             ContactClearanceCreateForm,
                             ContactClearanceEditForm,
                             self.repository,
                             self.baseName,
                             'VCCT Contact Clearance Manager')
        
        # Set values on the create and edit forms.
        #
        self.createForm.setValues(self.repository, self.baseName)
        self.editForm.setValues(self.repository, self.baseName)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
    
        if not self.db:
            from abq_Vcct.vcctManDB import VcctManDB
            self.db = VcctManDB(self, self.repository, self.managerTitle)
        return self.db
