from abq_Vcct.interfaceForm import InterfaceForm
from abq_CaeManagerTemplate.managerForm import ManagerForm

###########################################################################
# Interface Class definition
###########################################################################

class InterfaceManForm(ManagerForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):
    
        InterfaceCreateForm = InterfaceForm(owner, 'CREATE')
        InterfaceEditForm = InterfaceForm(owner, 'EDIT')

        self.repository = 'mdb.customData.vcct.models[%s].interfaces'
        self.baseName = 'Interface'
        InterfaceCreateForm.setModeName('InterfaceCreateForm')

        ManagerForm.__init__(self,
                             owner,
                             InterfaceCreateForm,
                             InterfaceEditForm,
                             self.repository,
                             self.baseName,
                             'VCCT Interface Manager')
        
        # Set values on the create and edit forms.
        #
        self.createForm.setValues(self.repository, self.baseName)
        self.editForm.setValues(self.repository, self.baseName)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
    
        if not self.db:
            from abq_Vcct.vcctManDB import VcctManDB
            self.db = VcctManDB(self, self.repository, self.managerTitle)
        return self.db
