from abq_Vcct.interfacePropertyForm import InterfacePropertyForm
from abq_CaeManagerTemplate.managerForm import ManagerForm

###########################################################################
# InterfaceProperty Manager Class definition
###########################################################################

class InterfacePropertyManForm(ManagerForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):
          
        InterfacePropertyCreateForm = InterfacePropertyForm(owner, 'CREATE')
        InterfacePropertyEditForm = InterfacePropertyForm(owner, 'EDIT')

        self.repository = 'mdb.customData.vcct.models[%s].interfaceProperties'
        self.baseName = 'InterfaceProperty'
        InterfacePropertyCreateForm.setModeName('InterfacePropertyCreateForm')

        ManagerForm.__init__(self,
                             owner,
                             InterfacePropertyCreateForm,
                             InterfacePropertyEditForm,
                             self.repository,
                             self.baseName,
                             'VCCT Interface Property Manager')

        # Set values on the create and edit forms.
        #
        self.createForm.setValues(self.repository, self.baseName)
        self.editForm.setValues(self.repository, self.baseName)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
    
        if not self.db:
            from abq_Vcct.vcctManDB import VcctManDB
            self.db = VcctManDB(self, self.repository, self.managerTitle)
        return self.db

