from abaqusGui import *
from abaqusConstants import NODES, ELEMENTS

###########################################################################
# Class definition
###########################################################################

class CreateSetDB(AFXDataDialog):

    numInstance = 0

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form):

        CreateSetDB.numInstance += 1

        # Construct the base class.
        #
        AFXDataDialog.__init__(self, form, 'Create Set',
            self.CONTINUE|self.CANCEL, DECOR_RESIZE)

        self.form = form

        #GUILOG
        getAFXAliasMap().setPrefix(self, 'Create SetDB-%d'
                                   % CreateSetDB.numInstance)
        #ENDGUILOG
        self.nameText = AFXTextField(self, 0, 'Name: ', form.nameKw, 0, LAYOUT_FILL_X)
        gb = FXGroupBox(self, 'Type', GROUPBOX_NORMAL|FRAME_GROOVE|LAYOUT_SIDE_TOP|LAYOUT_FILL_X);
        hf = FXHorizontalFrame(gb, LAYOUT_FILL_X|FRAME_NONE, 0,0,0,0)
        FXRadioButton(hf, 'Node',    form.typeKw, NODES.getId())
        FXRadioButton(hf, 'Element', form.typeKw, ELEMENTS.getId())
#        self.chk = FXCheckButton(self, 'Write to ODB', None, 0, CHECKBUTTON_NORMAL)
#        self.chk.disable()

#    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#    def show(self):

#        from kernelAccess import session
#        exec('isReadOnly = %s.isReadOnly' % self.form.cmd.getExpandedObjectName()[:-13])
#        if not isReadOnly:
#            self.chk.enable()

#        AFXDataDialog.show(self)