from abaqusGui import *
from abq_CaeManagerTemplate.managerDB import ManagerDB
from abq_ViewerSetSupport.viewerSetManForm import ViewerSetCopyForm

###########################################################################
# Class definition
###########################################################################

class ViewerSetManDB(ManagerDB):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form, repository, title, leadingRowLabels):

        ManagerDB.__init__(self, form, repository, title, leadingRowLabels)

        self.form = form
        self.repository = repository
        self.renameBtn.hide()
        self.editBtn.hide()
        self.deleteBtn.hide()

        # Set CopyForm to the derived class
        #
        self.form.copyForm = ViewerSetCopyForm(self.form.getOwner(), self, self.repository)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getSummary(self):

        from kernelAccess import session

	self.repository = self.form.cmd.getExpandedObjectName()
        keys = []
        summary = []

        # Check if user has closed odb
        #
        if '%s' not in self.repository:
            self.createBtn.enable()
            exec('keys += %s.nodeSets.keys()' % self.repository)
            summary += [ [key, 'Node', 'rootAssembly'] for key in keys]
            keys = []
            exec('keys += %s.elementSets.keys()' % self.repository)
            summary += [ [key, 'Element', 'rootAssembly'] for key in keys]
            keys = []
            exec('instKeys = %s.instances.keys()' % self.repository)
            for instKey in instKeys:
                exec('keys += %s.instances["%s"].nodeSets.keys()' % (self.repository, instKey))
                summary += [ [key, 'Node', instKey] for key in keys]
                keys = []
                exec('keys += %s.instances["%s"].elementSets.keys()' % (self.repository, instKey))
                summary += [ [key, 'Element', instKey] for key in keys]
                keys = []


            # Unable to register queries on any new objects
            # checking against bug v68_1127
            #
            """if self.repository not in self.queryList:
                from abaqusGui import session
                self.queryList.append(self.repository)
                odbName = session.viewports[session.currentViewportName].odbDisplay.name
                session.odbs[odbName].rootAssembly.nodeSets.registerQuery(self.onUpdate)
                session.odbs[odbName].rootAssembly.elementSets.registerQuery(self.onUpdate)
                print '*** in sumary type session on show ',type(session)
                exec("print '*** in sumary type session on show of repository',type(%s)" % self.repository[:7])
                print getCurrentContext()"""
        else:
            self.createBtn.disable()

        return summary

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def hide(self):

        from abaqusGui import session
        unregisterCurrentContext(self.onUpdate)

        # Unable to keep track what object has been closed, so unregister queries
        # on all odbs
        #
        from abaqusGui import session
        for key in session.odbs.keys():
            session.odbs[key].rootAssembly.nodeSets.unregisterQuery(self.onUpdate)
            session.odbs[key].rootAssembly.elementSets.unregisterQuery(self.onUpdate)

        AFXDataDialog.hide(self)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def show(self):

        registerCurrentContext(self.onUpdate)
        numSelections = len(self.getSelections())
        self.setButtonStates(numSelections)
        exec('%s.nodeSets.registerQuery(self.onUpdate)' % self.repository)
        exec('%s.elementSets.registerQuery(self.onUpdate)' % self.repository)
        AFXDataDialog.show(self)