from abaqusGui import *
import _abqPluginUtils

version = '1.1-1'
author = 'Dassault Systemes Simulia Corp.'
helpUrl = ''
buttonText = 'Tools|Create Airfoil Part...'
description= "Plug-in to create an airfoil part."

status = _abqPluginUtils.checkCompatibility('Airfoil Part', version)
from abq_AirfoilPart.airfoilPartForm import AirfoilPartForm
if status == 'OK':
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=AirfoilPartForm(toolset),
        buttonText=buttonText,
        messageId=AFXMode.ID_ACTIVATE,
        kernelInitString='import abq_AirfoilPart.airfoilPartUtils',
        applicableModules=['Part','Mesh',],
        version=version,
        author=author,
        description=description,
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
                '/php/enduser/std_adp.php?p_faqid=4802',
                )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()

