from abaqusGui import *
from abaqusConstants import *
import i18n

path = __file__
thisPath = os.path.abspath(path)
thisDir = os.path.dirname(thisPath)
version = '1.1-1'

if not getAFXApp().isProductCAE():
    pass
else:
    # register the application in the plug-in toolset
    kernelInitString='import boltStudioKernel; bsk=boltStudioKernel.BoltStudioKernel()\nfrom boltStudioConstants import *'
        
    import boltStudioProcedure
    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(object=boltStudioProcedure.BoltStudioProcedure(toolset),
                                  buttonText=i18n.tr('Bolt Studio...'), 
                                  kernelInitString=kernelInitString,
                                  applicableModules=("Assembly","Step","Interaction","Load","Mesh"),
                                  author=i18n.tr('Dassault Systemes Simulia Corp.'),
                                  version=version,
                                  description=i18n.tr('Bolt Studio.'),
                                  )

