from abaqus import *
from random import uniform
import displayGroupOdbToolset as dgo

def colorDomain():
    curVpName = session.currentViewportName
    curVp = session.viewports[curVpName]

    if hasattr(curVp.odbDisplay,'name'):
        maxDomains = 4096
        curVp.enableMultipleColors()
        colorMin = 0x0000FF
        colorMax = 0xFF0000
        internalElsets = curVp.odbDisplay._elementSetsInternal

        for k in range(1,maxDomains+1):
            elsetName = ' domain_' + str(k)
            if not internalElsets.has_key(elsetName):
                break
            leaf = dgo.LeafFromElementSets(elementSets=(elsetName))
            color0 = hex(int( uniform(colorMin,colorMax) ))
            color = '#' + color0.split("x")[1]
            curVp.setColor(leaf=leaf, 
                           edgeColorWireHide=color,
                           fillColor=color )

        curVp.disableMultipleColors()
        print 'Script finished.'
    else:
        print 'There is no output database (ODB) associated '\
              'with the current viewport.\nSelect an ODB '\
              'from the context bar, or use "File->Open" to '\
              'open an ODB.'


        
