from abaqusGui import *

thisPath = os.path.abspath(__file__)
thisDir = os.path.dirname(thisPath)

from abq_contactForce.contactForceForm import ContactForceForm

# Register commands

version = '1.2-1'

majorNumber, minorNumber, updateNumber = getAFXApp().getBaseVersionNumbers()
if minorNumber > 6:
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=ContactForceForm(toolset),
        buttonText='Tools|Plot Contact Force Vector...',
        messageId=AFXMode.ID_ACTIVATE,
        kernelInitString='import abq_contactForce.contactForce\n'
                         'from abq_contactForce.contactForceSymbConsts import *',
        applicableModules=['Visualization'],
        version=version,
        author='Dassault Systemes Simulia Corp.',
        description='This plug-in allows the user to view vector display'\
                    'of force due to contact pressure',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
            '/php/enduser/std_adp.php?p_faqid=4182')
else:
    import _abqPluginUtils, os
    status = _abqPluginUtils.checkCompatibility('contactForce', version)
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()

