from abaqusGui import *
from abaqusConstants import *
import osutils, os
from abq_ContourIntegral.contourIntegralConsts import *
from abq_ContourIntegral.contourIntegralForm import ContourIntegralForm

version = '1.3' 

try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('Plot Contour Integrals', version)
except:
    status = 'OK'

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Register the plug-in
#

if status == 'OK':
    
    thisPath = os.path.abspath(__file__)
    thisDir = os.path.dirname(thisPath)

    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        buttonText='Tools|Plot Contour Integrals...', 
        object=ContourIntegralForm(toolset),
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString='import abq_ContourIntegral.contourIntegralModule\n'
                         'from abq_ContourIntegral.contourIntegralConsts import *',
        applicableModules=["Visualization",],
        version=version,        
        author='Dassault Systemes Simulia Corp.',
        description='This plug-in plots contour integral paramters',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
                    '/php/enduser/std_adp.php?p_faqid=4239')
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()
