from abaqusGui import *

# Use package syntax to avoid possible name clashes with other plugins
#
from abq_Auralizing.audioForm import AudioForm

majorNumber, minorNumber, updateNumber = getAFXApp().getBaseVersionNumbers()
verAbaqus = float(majorNumber) + minorNumber * 0.1
if verAbaqus > 6.6:
    import _abqPluginUtils

# Register commands
#
version = '1.4-2'
if verAbaqus < 6.5:
    status = "Plug-in Auralizing " + str(version) + " version was not registered because "\
             "it is not supported in Abaqus version " + str(uti.getVersion())
elif verAbaqus == 6.6 or verAbaqus == 6.5:
    status = 'OK'
else:
    status = _abqPluginUtils.checkCompatibility('Auralizing', version)
if status:
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=AudioForm(toolset),
        buttonText='NVH|Acoustics Toolset|Auralizing...',
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString='import abq_Auralizing.createAudioFile',
        applicableModules=["Visualization",],
        version=version,
        author='Dassault Systemes',
        description='This plug-in allows the user to create a .wav file so the results of a acoustic analysis can be "heard".',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/enduser/std_adp.php?p_faqid=1106',
        )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()