from abaqusGui import *
import _abqPluginUtils

# Register commands
#
version = '1.1-1'

status = _abqPluginUtils.checkCompatibility('Create SSD Direct Step', version)

if status == 'OK':
    from abq_CreateSSDStep.createSSDStepForm import CreateSSDStepForm
    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    author = 'Dassault Systemes Simulia Corp.'
    kernelInitString = ''
    helpUrl = r'http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/' \
               'enduser/std_adp.php?p_faqid=4262'
    description = 'The plug-in allows to to create SSD Direct Step.'

    toolset.registerGuiMenuButton(buttonText='NVH|Acoustics Toolset|Create SSD Direct Step...',
                                  object=CreateSSDStepForm(toolset),
                                  applicableModules=('Step',),
                                  author=author,
                                  version=version,
                                  description=description,
                                  helpUrl=helpUrl,)
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()