"""
This module creates a custom module.
"""

from abaqusGui import *
from nom2trueForm import Nom2trueForm
from nom2trueIcon import nom2trueButton

class CustomModuleGui(AFXModuleGui):

    def __init__(self):

        try:
            displayType = AFXModuleGui.XY_PLOT
        except:
            displayType = XY_PLOT
        AFXModuleGui.__init__(self, 'Custom Module', displayType)
      
        # Custom menu
        #
        menu = AFXMenuPane(self)
        AFXMenuTitle(self, '&Custom', None, menu)

        AFXMenuCommand(self, menu, '&Convert Nominal Stress...', None,
             Nom2trueForm(self), AFXMode.ID_ACTIVATE)

        group = AFXToolboxGroup(self)
        AFXToolButton(p=group, label='\tConvert\nNominal\nStress',
                      icon=FXXPMIcon(getAFXApp(), nom2trueButton),
                      tgt=Nom2trueForm(self),
                      sel=AFXMode.ID_ACTIVATE)

    def getKernelInitializationCommand(self):
    
        return ('import convertKernel\nfrom nom2trueConstants import *')
            
customModuleGui = CustomModuleGui()
