from abaqusGui import *

thisPath = os.path.abspath(__file__)
thisDir = os.path.dirname(thisPath)

from abaqusGui import *
from sessionGui import FileToolsetGui
from kernelAccess import *

###########################################################################
# Class definition
###########################################################################

class mytoolsetGui(AFXToolsetGui):
    [ID_SAVE,
    ID_RESTORE]=range(AFXModuleGui.ID_LAST, AFXModuleGui.ID_LAST+2)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self):

        # Construct the CAE file toolset.
        #
        AFXToolsetGui.__init__(self,'test')

        FXMAPFUNC(self,SEL_COMMAND,self.ID_SAVE,mytoolsetGui.onSaveDG)
        FXMAPFUNC(self,SEL_COMMAND,self.ID_RESTORE,mytoolsetGui.onRestoreDG)

        self.group = AFXToolbarGroup(owner=self,title="Save-Apply Display")
        (head, tail) = os.path.split(__file__)
        fileLoadPath1 = os.path.join(head, "abq_SaveApplyDisplay", "save.png")
        fileLoadPath2 = os.path.join(head, "abq_SaveApplyDisplay", "apply.png")
        restoreIcon = afxCreateIcon(fileLoadPath1)
        saveIcon = afxCreateIcon(fileLoadPath2)
        self.save = AFXToolButton(self.group,'\tSave Display',saveIcon,tgt=self, sel=self.ID_SAVE)
        self.restore = AFXToolButton(self.group,'\tApply Display',restoreIcon, tgt=self, sel=self.ID_RESTORE)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def onSaveDG(self,sender,sel,ptr):
        mainWindow = getAFXApp().getAFXMainWindow()
        try:
            modelName = session.viewports[session.currentViewportName].displayedObject.modelName
        except:
            showAFXErrorDialog(mainWindow,"There is no model database in the viewport.")
            return
        try:
            kernelPath = os.path.join(thisDir,'abq_SaveApplyDisplay','restoreDisplayGroup.py')
            sendCommand("execfile(r'"+kernelPath+"')")
        except:
            showAFXErrorDialog(mainWindow,"Error occured while saving display groups. Please contact Simulia support for assistance.")

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def onRestoreDG(self,sender,sel,ptr):
        mainWindow = getAFXApp().getAFXMainWindow()
        try:
            modelName = session.viewports[session.currentViewportName].displayedObject.modelName
        except:
            showAFXErrorDialog(mainWindow,"There is no model database in the viewport.")
            return
        try:
            sendCommand("restoreDisplayGroup()")
        except:
            showAFXErrorDialog(mainWindow,"Please use the Save Display groups button to save the display group.")

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
def onModuleSwitch(moduleName):
    if moduleName == 'Visualization' or moduleName == 'Sketch':
        ins.group.hide()
    else:
        ins.group.show()
setSwitchModuleHook(onModuleSwitch)
# Register commands

version = '1.1-1'
mainWindow = getAFXApp().getAFXMainWindow()
ins = mytoolsetGui()
mainWindow.registerToolset(ins, GUI_IN_TOOLBAR)


