from abaqusGui import *
from abaqusGui import *
import _abqPluginUtils, os
thisPath = os.path.abspath(__file__)
thisDir = os.path.dirname(thisPath)

# Use package syntax to avoid possible name clashes with other plugins
#
from abq_Dymola.createDymolaForm import CreateDymolaForm
from abq_Dymola.updateDymolaForm import UpdateDymolaForm
from abq_Dymola.submitJobForm import SubmitJobForm

# Register commands
#
version = '1.3-1'
status = _abqPluginUtils.checkCompatibility('Abaqus to Dymola', version)
status = 'OK'
author = 'Dassault Systemes Simulia Corp.'
desc1 = 'Create new Dymola(*.mo) file containing sensors and actuators exported from Abaqus/CAE model.'
desc2 = 'Import sensors and actuators from an existing Dymola(*.mo) file.'
desc3 = 'Submit an Abaqus-Dymola co-simulation using Abaqus/CAE model and Dymola(*.mo) file.'

if status == 'OK':
    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=CreateDymolaForm(toolset),
        buttonText='Dymola|Write a File...',
        kernelInitString='import abq_Dymola.rwDymFile\n'
                         'import abq_Dymola.dymUtils\n'
                         'from abq_Dymola.dymolaConstants import *\n',
        version=version,
        author=author,
        applicableModules=['Job'],
        description=desc1,
        helpUrl= 'http://simulia.custhelp.com/cgi-bin/abaqus.cfg/php/enduser/std_adp.php?p_faqid=3618',
        )
    toolset.registerGuiMenuButton(
        object=UpdateDymolaForm(toolset),
        buttonText='Dymola|Match a File...',
        kernelInitString='import abq_Dymola.rwDymFile\n'
                         'import abq_Dymola.dymUtils\n'
                         'from abq_Dymola.dymolaConstants import *\n',
        version=version,
        author=author,
        applicableModules=['Job'],
        description=desc2,
        helpUrl='http://simulia.custhelp.com/cgi-bin/abaqus.cfg/php/enduser/std_adp.php?p_faqid=3618',
        )
    toolset.registerGuiMenuButton(
        object=SubmitJobForm(toolset),
        buttonText='Dymola|Submit a Co-simulation...',
        kernelInitString='import abq_Dymola.rwDymFile\n'
                         'import abq_Dymola.dymUtils\n'
                         'from abq_Dymola.dymolaConstants import *\n',
        version=version,
        author=author,
        applicableModules=['Job'],
        description=desc3,
        helpUrl='http://simulia.custhelp.com/cgi-bin/abaqus.cfg/php/enduser/std_adp.php?p_faqid=3618',
        )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()
