from abaqusGui import *
thisPath = os.path.abspath(__file__)
thisDir = os.path.dirname(thisPath)

from abq_Erv.eVForm import EVForm

# Register commands
#
version = '1.3-1' # Should be 1.3-2, but forgot to update version table

majorNumber, minorNumber, updateNumber = getAFXApp().getBaseVersionNumbers()
if minorNumber == 6:
    status = 'OK'
else:
    import _abqPluginUtils, os
    status = _abqPluginUtils.checkCompatibility('erv', version)

if status == 'OK':
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=EVForm(toolset),
        buttonText='Visualization|Energy Ratio Verification...',
        messageId=AFXMode.ID_ACTIVATE,
        kernelInitString='import abq_Erv.eVKernel',
        applicableModules=['Visualization',],
        version=version,
        author='Dassault Systemes',
        description='This plug-in allows the user to plot as percentages the ratio of energies available in the current ODB.',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
                '/php/enduser/std_adp.php?p_faqid=3024')
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()