from abaqusGui import *
import _abqPluginUtils

# Use package syntax to avoid possible name clashes with other plugins
#
from abq_EngFeatures.engFeaturesForm import EngFeaturesForm

# Register commands
#
version = '1.2-1'
status = _abqPluginUtils.checkCompatibility('Engineering Features', version)
if status:
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=EngFeaturesForm(toolset),
        buttonText='Create Engineering Features...',
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString='import abq_EngFeatures.engFeaturesUtils\n' + \
                         'from abq_EngFeatures.engFeaturesSymConsts import *\n',
        applicableModules=['Interaction'],
        version=version,
        author='Dassault Systemes Simulia Corp.',
        description='This plug-in allows you to create engineering ' \
                    'features such as MPC constraints, wires (for ' \
                     'connectors), and spring/dashpot elements.\n',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
                '/php/enduser/std_adp.php?p_faqid=XXXX',
        )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()
