from abaqusGui import *
import abq_ExteriorMesh.exteriorMeshForm

thisPath = os.path.abspath(__file__)
thisDir = os.path.dirname(thisPath)
sendCommand("import sys")
sendCommand("sys.path.append(r'%s')" % thisDir)

from kernelAccess import *
from abaqusConstants import *

from sessionGui import FileToolsetGui

###########################################################################
# Class definition
###########################################################################

class mytoolsetGui(AFXToolsetGui): 
    
    [ID_CALL]=range(AFXToolsetGui.ID_LAST)
    [ID_FORM,] = range(AFXToolsetGui.ID_LAST, AFXToolsetGui.ID_LAST+1)
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self):

        # Construct the CAE file toolset.
        #
        AFXToolsetGui.__init__(self, 'Exterior Mesh Toolset')
	
        #FXMAPFUNC(self, SEL_COMMAND, self.ID_CALL, mytoolsetGui.onCmdForm)
        #FXMAPFUNC(self,SEL_COMMAND,self.ID_CALL,mytoolsetGui.callKernelScript)
        self.form = abq_ExteriorMesh.exteriorMeshForm.exteriorMeshForm(self)
	################-------------------------#################
        self.group = AFXToolbarGroup(owner=self,title="Exterior Mesh")
        (head, tail) = os.path.split(__file__)
        
        fileLoadPath1 = os.path.join(head, "abq_ExteriorMesh", "box.png")
        createIcon = afxCreateIcon(fileLoadPath1)
        createIcon.scale(24,24)
        self.save = AFXToolButton(self.group,'\tExterior\nMesh',createIcon,self.form, sel=self.ID_CALL)
	
        # set the prefix of the menu pane
        getAFXAliasMap().setPrefix(self.group, 'Exterior Mesh Profile')

        # name the component button
        getAFXAliasMap().setName(self.save, 'Exterior Mesh')


    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getKernelInitializationCommand(self):
        if not getAFXApp().isProductViewer():
            try:
                return 'import abq_ExteriorMesh.exteriorMeshUtils'
            except:
                return ''
        else:
            return ''

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def callKernelScript(self,sender,sel,ptr):
        #Function not used
        #
        mainWindow = getAFXApp().getAFXMainWindow()
        sendCommand("import abq_ExteriorMesh.exteriorMeshUtils")
    
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

mainWindow = getAFXApp().getAFXMainWindow() 
 
try:
    mainWindow.registerToolset(mytoolsetGui(), GUI_IN_TOOLBAR)
except:
    pass


