from abaqusGui import *

# Use package syntax to avoid possible name clashes with other plugins
#
from cWELD.fastenerForm import FastenerForm

majorNumber, minorNumber, updateNumber = getAFXApp().getBaseVersionNumbers()
verAbaqus = float(majorNumber) + minorNumber * 0.1
if verAbaqus > 6.6:
    import _abqPluginUtils

# Register commands
#
version = '1.2-2'
if verAbaqus < 6.5:
    status = "Plug-in from CWELD " + str(version) + " version was not registered because "\
             "it is not supported in Abaqus version " + str(uti.getVersion())
elif verAbaqus == 6.6 or verAbaqus == 6.5:
    status = 'OK'
else:
    status = _abqPluginUtils.checkCompatibility('fastener CWELD', version)
if status:
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=FastenerForm(toolset),
        buttonText='NVH|Create Fasteners|from CWELD...',
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString='import cWELD.fastenerModule\nfrom cWELD.fastenerConst import *',
        applicableModules=["Visualization",],
        version=version,
        author='Dassault Systemes',
        description='This plug-in adds elements to a new odb upon which acoustic pressure output can be visualized.',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/enduser/std_adp.php?p_faqid=2194',
        )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()