from abaqusGui import *
import _abqPluginUtils, os

# Use package syntax to avoid possible name clashes with other plugins
#
from abq_Fefp.fefpForm import FefpForm

# Register commands
#
version = '1.1-7'
status = _abqPluginUtils.checkCompatibility('FeFp', version)
if status:
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=FefpForm(toolset),
        buttonText='Properties|Create Rubber-like Material...',
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString='import abq_Fefp.fefpKernel\n' \
                         'import abq_Fefp.fefpCreateMaterial\n' \
                         'import abq_Fefp.convertFeFpData',
        applicableModules=['Property','Visualization'],
        version=version,
        author='Dassault Systemes Simulia Corp.',
        description='This plug-in allows you to create a material ' \
                    'from test data.\nIt also enables you to import, browse, ' \
                    'and modify data related to the loading, ' \
                    'unloading, reloading, and permanent set ' \
                    'of test data.',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
                '/php/enduser/std_adp.php?p_faqid=3522',
        )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()
