from abaqusGui import *

# Register commands
#
version = '1.3-4'

try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('FFT', version)
except:    
    status = 'OK'

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
if status == 'OK':
    author = 'Dassault Systemes Simulia Corp.'
    kernelInitString = 'import abq_Fft.fftModule'
    helpUrl = r'http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/' \
               'enduser/std_adp.php?p_faqid=3864'
    description = 'Creating a discrete Fourier transform of a set of ' \
                  'time history data'

    # Use package syntax to avoid possible name clashes with other plugins
    #
    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    from abq_Fft.fftForm import FftForm
    toolset.registerGuiMenuButton(object=FftForm(toolset),
                                  buttonText=r'NVH|'\
                                  'Convert To Frequency Domain..',
                                  kernelInitString=kernelInitString,
                                  version=version,
                                  author=author,
                                  applicableModules=('Visualization',),
                                  description=description,
                                  helpUrl=helpUrl
                                  )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()
