from abaqusGui import *
import _abqPluginUtils, os

# Use package syntax to avoid possible name clashes with other plugins
#
from abq_FieldDiffer.fieldDifferForm import FieldDifferForm

# Register commands
#
version = '1.1-2'
status = _abqPluginUtils.checkCompatibility('Plot Field Difference', version)
if status:
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=FieldDifferForm(toolset),
        buttonText='Visualization|Plot Differences in Fields...',
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString='import abq_FieldDiffer.fieldDifferUtils\n' \
                         'from abq_FieldDiffer.fieldDifferConstants import *',
        applicableModules=['Visualization'],
        version=version,
        author='Dassault Systemes Simulia Corp.',
        description='This plug-in allows you to plot differences ' \
                    'from test data.\nIt also enables you to import, browse, ' \
                    'and modify data related to the loading, ' \
                    'unloading, reloading, and permanent set ' \
                    'of test data.',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
                '/php/enduser/std_adp.php?p_faqid=3640',
        )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()