from abaqusGui import *
import os, uti

import os, uti

majorNumber, minorNumber, updateNumber = getAFXApp().getBaseVersionNumbers()
verAbaqus = majorNumber * 1.0 + minorNumber * 0.1
if verAbaqus > 6.6:
    import _abqPluginUtils

# Register commands
#
version = '1.3-2'
if verAbaqus < 6.6:
    status = "Plug-in " + str(version) + " version was not registered because "\
             "it is not supported in Abaqus version " + str(uti.getVersion())
elif verAbaqus == 6.6:
    status = 'OK'
else:
    status = _abqPluginUtils.checkCompatibility('Head Injury Criteria', version)

if status == 'OK':

    author = 'Dassault Systemes Simulia Corp.'
    kernelInitString = 'import abq_hic.hicUtils\nfrom abq_hic.crashAttrSymbolicConstants import *'
    helpUrl = 'http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/enduser/std_adp.php?p_faqid=3112&p_created=1158111718'
    buttonText = 'Crashworthiness|Compute Head Injury Criteria...'
    description= 'Plug-in to compute HIC (Head Injury Criteria) for crash test dummies.'
    from abq_hic.hicResForm import HICResultantForm   

    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=HICResultantForm(toolset),
        buttonText=buttonText,
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString=kernelInitString,
        applicableModules=["Visualization",],
        version=version,
        author='Dassault Systemes Simulia Corp.',
        description='This plug-in calculates the Modal Assurance Criteria (MAC)',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
                '/php/enduser/std_adp.php?p_faqid=3146')
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()