from abaqusGui import *
from abq_InputFile_initial_config.inputFileForm import InputFileForm
version = '1.1-1'

import _abqPluginUtils, os
status = _abqPluginUtils.checkCompatibility('inputFile', version)

# Register as plug-in.
#
if status == 'OK':

    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(buttonText='Write Input File - Initial...',
            object=InputFileForm(toolset),
            kernelInitString='import abq_InputFile_initial_config.inputFileUtils',
            applicableModules=['Visualization'],
            version=version,
            author='Dassault Systemes Simulia Corp.',
            description='This plug-in allows the user to write nodes and elements displayed'\
            'on the viewport to the input file',
            helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'\
                    '/php/enduser/std_adp.php?p_faqid=5010')

else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep() 
