within ;
package InvertedPend
  model PendPID
    Modelica.Blocks.Math.Add add(k1=+1, k2=-1) 
                                        annotation (Placement(transformation(
            extent={{-40,20},{-20,40}}, rotation=0)));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{
              -100,-100},{100,100}}), graphics));
    Modelica.Blocks.Interfaces.RealInput XNODEBOT 
      annotation (Placement(transformation(extent={{-120,40},{-80,80}},
            rotation=0)));
    Modelica.Blocks.Interfaces.RealInput XNODETOP 
      annotation (Placement(transformation(extent={{-118,-20},{-82,20}},
            rotation=0)));
    Modelica.Blocks.Interfaces.RealOutput LOADNODEBOT 
      annotation (Placement(transformation(extent={{90,20},{110,40}}, rotation=
              0)));
    Modelica.Blocks.Continuous.PID PID(
      y_start=0,
      Ti=100000000000000000,
      xi_start=0,
      k=1000,
      Td=0.026666) annotation (Placement(transformation(extent={{20,20},{40,40}},
            rotation=0)));
  equation
    connect(add.u1,XNODEBOT)  annotation (Line(points={{-42,36},{-60,36},{-60,
            60},{-100,60}}, color={0,0,127}));
    connect(add.u2,XNODETOP)  annotation (Line(points={{-42,24},{-60,24},{-60,0},
            {-100,0}}, color={0,0,127}));
    connect(add.y, PID.u) 
      annotation (Line(points={{-19,30},{18,30}}, color={0,0,127}));
    connect(PID.y, LOADNODEBOT) 
      annotation (Line(points={{41,30},{100,30}}, color={0,0,127}));
  end PendPID;
  annotation (uses(Modelica(version="3.0")));
  function fExtPID "Simple external function"
    input Real InArg;
    output Real OutArg;
  external "C" ExtFunctionPID(InArg,OutArg) 
   annotation(Include="#include \"ExtFunctionPID.C\"");
  end fExtPID;

  block ExtPIDBlock
     extends Modelica.Blocks.Interfaces.SISO;
  equation
    y= fExtPID(u);
  end ExtPIDBlock;
end InvertedPend;
