"""
Python script for the Balancing a vertical pole tutorial.
The script requires the following files in the working directory:

inverted_pend_xpl.inp
inverted_pend_head.inp
"""

from abaqus import *
from abaqusConstants import *

mdb.ModelFromInputFile(name='inverted_pend_xpl',
                       inputFileName='inverted_pend_xpl.inp')
a = mdb.models['inverted_pend_xpl'].rootAssembly
if mdb.models.has_key('Model-1'):
    del mdb.models['Model-1']
a = mdb.models['inverted_pend_xpl'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(loads=ON, bcs=ON, 
    predefinedFields=ON, connectors=ON)
del mdb.models['inverted_pend_xpl'].amplitudes['LOADNODEBOT']

p = mdb.models['inverted_pend_xpl'].parts['POLE-1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['inverted_pend_xpl'].parts['POLE-1']
n = p.nodes

p.SetFromNodeLabels(name='NODETOP', nodeLabels=(2001,))
p.SetFromNodeLabels(name='NODEBOT', nodeLabels=(1001,))
                        
a = mdb.models['inverted_pend_xpl'].rootAssembly
a.regenerate()
a = mdb.models['inverted_pend_xpl'].rootAssembly
region = a.instances['POLE-1'].sets['NODETOP']
mdb.models['inverted_pend_xpl'].ConcentratedForce(name='Load-2', 
    createStepName='Step-1', region=region, cf1=1.0, amplitude='FLINCHES', 
    distributionType=UNIFORM, field='', localCsys=None)
session.viewports['Viewport: 1'].setValues(displayedObject=a)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(loads=OFF, bcs=OFF, 
    predefinedFields=OFF, connectors=OFF, adaptiveMeshConstraints=ON)
mdb.saveAs(pathName='inverted-pend')
session.viewports['Viewport: 1'].assemblyDisplay.setValues(loads=OFF, bcs=OFF, 
    predefinedFields=OFF, connectors=OFF, adaptiveMeshConstraints=ON)
