"This module stores the export form for materials"

from abaqusGui import *

execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the importFile function
(settings, multExportForm, materialExportDB) = importFile(__file__, ("caeXML.kernel.settings", "caeXML.gui.multExportForm", "caeXML.materials.materialExportDB")) # Allows base-package directory to be changed

#
# Class definition
#
class MaterialExportForm(multExportForm.MultExportForm):
    "The class for definition of the form for material exporting"

    # The constructor for the form
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner, settingsStr, ownerForm, exportMode):
        "Constructor for form"
        self.numFields = 2
        self.fieldLabels = ["Model", "Material"]
        multExportForm.MultExportForm.__init__(self, owner, settingsStr, ownerForm, exportMode)
        modelKw = AFXStringTarget("")
        materialKw = AFXStringTarget("")
        self.comboKw.append(modelKw)
        self.comboKw.append(materialKw)

    # Getfirst Step function
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
        "Getfirst dialog function"
        self.curDb = materialExportDB.MaterialExportDB(self, self.titleStr, self.exportMode)
        return self.curDb
