"MDB Dump XML derived class"

from abaqus import *

import os.path

execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the importFile function
(abqXML, xmlUtils) = importFile(__file__, ("caeXML.kernel.abqXML", "caeXML.kernel.xmlUtils")) # Allows base-package directory to be changed
(settingsModule, ) = importFile(__file__, ("caeXML.mdbDump.mdbSettings", )) # Settings Module

################################################################################

def unstoreMesh(xmlDoc, rootEle, value, funcList):
    "This function stops the storage of mesh"
    meshTags = ["elements", "elementEdges", "elementFaces", "nodes"]
    if rootEle.tagName in meshTags:
        return True

################################################################################

class mdbXML(abqXML.AbqXML):
    "This class specializes the abqXML class for mdb dump"

    ################################################################################

    def __init__(self):
        self.m_settingsModule = settingsModule
        abqXML.AbqXML.__init__(self)
        self.m_str = ["mdb"]

    ################################################################################
    
    def saveInfo(self):
        "This function saves the information about mdb into xmldoc"
        if len(self.m_params) == 0:
            self.m_objSaveFuncList = [unstoreMesh] + self.m_objSaveFuncList
        elif self.m_params[0]:
            self.m_objSaveFuncList = [unstoreMesh] + self.m_objSaveFuncList
        return self.parseAndAttachMultiple()

################################################################################
