from abaqusGui import *

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Register the plug-in
#
import _abqPluginUtils
version = '1.1-1'
status = _abqPluginUtils.checkCompatibility('mufflerSTL', version)
if status:

    # Use package syntax to avoid possible name clashes with other plugins
    #
    from abq_MufflerStl.mufflerStlForm import MufflerStlForm
    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        buttonText='NVH|Acoustics Toolset|Muffler STL...', 
        object=MufflerStlForm(toolset),
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString='import abq_MufflerStl.mufflerStlKernel',
        applicableModules=["Visualization",],
        version=version,
        author='Dassault Systemes Simulia Corp.',
        description='This plug-in allows to create sound '\
            'transmission loss (STL) output in acoustics analyses '\
            'for muffler applications.',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/'\
            'php/enduser/std_adp.php?p_faqid=3439',)
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()
