from abaqusGui import *
from abaqusConstants import ALL
import osutils, os
from abq_OrbitPlot.orbitPlotForm import OrbitPlotForm
from abq_OrbitPlot.orbitPlotConsts import *


version = '1.1-2'
try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('Plot Orbits', version)
except:
    status = 'OK'


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Register the plug-in
#
if status=='OK':
    thisPath = os.path.abspath(__file__)
    thisDir = os.path.dirname(thisPath)

    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        buttonText='Tools|Plot orbits...', 
        object=OrbitPlotForm(toolset),
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString='import abq_OrbitPlot.orbitPlotKernel\n'
                         'from abq_OrbitPlot.orbitPlotConsts import *',
        applicableModules=["Visualization",],
        version='1.1-1',
        author='Dassault Systemes Simulia Corp.',
        description='The plug-in plots orbits for rotordynamic analysis',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/enduser/std_adp.php?p_faqid=5026')
    
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()
