from abaqusGui import *
import _abqPluginUtils

# Register commands
#
version = '1.1-1'

status = _abqPluginUtils.checkCompatibility('Plot Multiple Paths', version)

if status == 'OK':
    from abq_PlotMultiPaths.plotMultiPathsForm import PlotMultiPathsForm
    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    author = 'Dassault Systemes Simulia Corp.'
    kernelInitString = 'import abq_PlotMultiPaths.plotMultiPathsKernel'
    helpUrl = r'http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/' \
               'enduser/std_adp.php?p_faqid=4579'
    description = 'The plug-in allows to plot multiple paths at once.'

    toolset.registerGuiMenuButton(buttonText='Tools|Plot Multiple Paths...',
                                  object=PlotMultiPathsForm(toolset),
                                  applicableModules=('Visualization',),
                                  author=author,
                                  kernelInitString=kernelInitString,
                                  version=version,
                                  description=description,
                                  helpUrl=helpUrl,)
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()