from abaqusConstants import FILLED_TRI, FILLED_CIRCLE, HOLLOW_CIRCLE, XMARKER, FILLED_DIAMOND
from abaqusGui import sendCommand


# A function to create XYData and plot a data set.
#
def plot(data=None, xyName="data_pts", display="LINES", plotName="Plot-1", append=True, color='Blue', dsObj=None):
    
    data = tuple(data)

    from kernelAccess import session
    if not session.xyPlots.has_key(plotName):

        sendCommand("calibPlot = session.XYPlot(%r)" % plotName)
    else:

        sendCommand("calibPlot = session.xyPlots[%r]" % plotName)

    sendCommand("calibPlot.title.setValues(useDefault=True)")

    sendCommand("ch = calibPlot.charts.values()[0]")

    if dsObj == None:
        sendCommand( "cxy = session.XYData(name=%r, data=%r, sourceDescription=\'Data\')" %(xyName, data) )
    else:
        sendCommand( "ds = %r" %dsObj )
        sendCommand( "cxy = session.XYData(name=%r, data=ds.data, sourceDescription=\'Data\')" %xyName )


    sendCommand("cu = session.Curve(cxy)")
    

    sendCommand("ch.setValues(curvesToPlot=(cu, ), appendMode=%r)" % append)
    
    # Determine whether to plot lines/points/filled_tri/filled_circle/hollow_circle
    #
    if display=="LINES":

        sendCommand("cu.lineStyle.setValues(show=True)")
        sendCommand("cu.symbolStyle.setValues(show=False)")
    elif display=="POINTS":

        sendCommand("cu.lineStyle.setValues(show=False)")
        sendCommand("cu.symbolStyle.setValues(show=True)")
    elif display=="FILLED_TRI":

        sendCommand("cu.lineStyle.setValues(show=False)")
        sendCommand("cu.symbolStyle.setValues(show=True, marker=FILLED_TRI, color=\"Blue\")")
        sendCommand("cu.symbolStyle.setValues(size=2.5)")
    elif display=="FILLED_CIRCLE":

        sendCommand("cu.lineStyle.setValues(show=False)")
        sendCommand("cu.symbolStyle.setValues(show=True, marker=FILLED_CIRCLE, color=\"Blue\")")
        sendCommand("cu.symbolStyle.setValues(size=2.5)")
    elif display=="HOLLOW_CIRCLE" and color == 'Blue':

        sendCommand("cu.lineStyle.setValues(show=False)")
        sendCommand("cu.symbolStyle.setValues(show=True, marker=HOLLOW_CIRCLE, color=\"Blue\")")
        sendCommand("cu.symbolStyle.setValues(size=2.5)")
    
    elif display=="HOLLOW_CIRCLE" and color == 'Brown':

        sendCommand("cu.lineStyle.setValues(show=False)")
        sendCommand("cu.symbolStyle.setValues(show=True, marker=HOLLOW_CIRCLE, color=\"Brown\")")
        sendCommand("cu.symbolStyle.setValues(size=2.5)")        
        
    elif display=="FILLED_SQUARE":

        sendCommand("cu.lineStyle.setValues(show=False)")
        sendCommand("cu.symbolStyle.setValues(show=True, marker=FILLED_SQUARE, color=\"Blue\")")
        sendCommand("cu.symbolStyle.setValues(size=2.5)")
    elif display=="HOLLOW_SQUARE":

        sendCommand("cu.lineStyle.setValues(show=False)")
        sendCommand("cu.symbolStyle.setValues(show=True, marker=HOLLOW_SQUARE, color=\"Blue\")")
        sendCommand("cu.symbolStyle.setValues(size=2.5)")        
    else:
	pass
        
    # Display the plot
    #
    sendCommand("session.viewports[session.currentViewportName].setValues(displayedObject=calibPlot)")
    





