"This module stores the export dialog box for profiles"

from abaqusGui import *

execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the importFile function
(settings, multExportDB) = importFile(__file__, ("caeXML.kernel.settings", "caeXML.gui.multExportDB")) # Allows base-package directory to be changed

#
# Class definition
#
class ProfileExportDB(multExportDB.MultExportDB):
    "The class for definition of the dialog-box for profile exporting"

    # The constructor for the dialog box
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form, titleStr, exportMode):
        "Constructor for dialog box"
        multExportDB.MultExportDB.__init__(self, form, titleStr, exportMode)

    # This function returns the keys
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def returnFieldKeys(self, numb, prevKeys=[]):
        "This function returns the keys"
        from kernelAccess import mdb
        if numb == 0:
            return mdb.models.keys()
        else:
            if numb == 1:
                if len(prevKeys) > 0:
                    if "profiles" in mdb.models[prevKeys[0]].__members__:
                        return mdb.models[prevKeys[0]].profiles.keys()
                    else:
                        self.showExceptionMessage("Cannot access profiles. This error is usually shown when this plug-in is used in Abaqus/Viewer instead of Abaqus/CAE.")
                        return []
                else:
                    self.showExceptionMessage("Illegal argument specified.")
            else:
                self.showExceptionMessage("Incorrect number of keys specified.")
