"This module stores the export form for profiles"

from abaqusGui import *

execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the importFile function
(settings, multExportForm, profileExportDB) = importFile(__file__, ("caeXML.kernel.settings", "caeXML.gui.multExportForm", "caeXML.profiles.profileExportDB")) # Allows base-package directory to be changed

#
# Class definition
#
class ProfileExportForm(multExportForm.MultExportForm):
    "The class for definition of the form for profile exporting"

    # The constructor for the form
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner, settingsStr, ownerForm, exportMode):
        "Constructor for form"
        self.numFields = 2
        self.fieldLabels = ["Model", "Profile"]
        multExportForm.MultExportForm.__init__(self, owner, settingsStr, ownerForm, exportMode)
        modelKw = AFXStringTarget("")
        sectionKw = AFXStringTarget("")
        self.comboKw.append(modelKw)
        self.comboKw.append(sectionKw)

    # Getfirst Step function
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
        "Getfirst dialog function"
        self.curDb = profileExportDB.ProfileExportDB(self, self.titleStr, self.exportMode)
        return self.curDb
