from abaqusGui import *
import os, uti

majorNumber, minorNumber, updateNumber = getAFXApp().getBaseVersionNumbers()
verAbaqus = majorNumber * 1.0 + minorNumber * 0.1
if verAbaqus > 6.6:
    import _abqPluginUtils
    
# Use package syntax to avoid possible name clashes with other plugins
#
from abq_rMises.rMisesForm import RMisesForm

# Register commands
#
version = '1.1-1'
if verAbaqus < 6.6:
    status = "Plug-in " + str(version) + " version was not registered because "\
             "it is not supported in Abaqus version " + str(uti.getVersion())
elif verAbaqus == 6.6 or verAbaqus == 6.7 or verAbaqus == 6.8:
    status = 'OK'
else:
    status = _abqPluginUtils.checkCompatibility('Save RMISES', version)
if status == 'OK':
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=RMisesForm(toolset),
        buttonText='Tools|Save RMISES...',
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString='import abq_rMises.rMisesUtils',
        applicableModules=["Visualization",],
        version=version,
        author='Dassault Systemes Simulia Corp.',
        description='This plug-in stores the RMISES values',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
                '/php/enduser/std_adp.php?p_faqid=3146')
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()
