from abaqusGui import *

# Register commands
#
version = '1.1-3'

try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('Save User Defined', version)
except:    
    status = 'OK'


if status=='OK':
    author = 'Dassault Systemes Simulia Corp.'
    description='This function adds any user defined field outputs generated in\n'\
                'the session step to the odb associated with the field output.'
    helpUrl=r'http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/' \
               'enduser/std_adp.php?p_faqid=3189'                     

    from abq_SaveFields.saveUDFieldsForm import SaveUDFieldsForm

    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()

    # Register a kernel plug-in in a menu.
    #
    toolset.registerGuiMenuButton(
        buttonText='Tools|Save User Defined Fields...', 
        object=SaveUDFieldsForm(toolset),
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString='import abq_SaveFields.saveUserFields',
        applicableModules=['Visualization'],
        version=version,
        author=author,
        description=description,)

else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()