"This module stores the export form for materials"

from abaqusGui import *

execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the importFile function
(settings, managerExportForm, sessionExportDB) = importFile(__file__, ("caeXML.kernel.settings", "caeXML.gui.managerExportForm", "caeXML.sessionDump.sessionExportDB")) # Allows base-package directory to be changed

#
# Class definition
#
class sessionExportForm(managerExportForm.ManagerExportForm):
    "The class for definition of the form for material exporting"

    # The constructor for the form
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner, settingsStr, ownerForm, exportMode):
        "Constructor for form"
        managerExportForm.ManagerExportForm.__init__(self, owner, settingsStr, ownerForm, exportMode)
        self.odbDisableKw = AFXIntTarget(1)

    # Getfirst Step function
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
        "Getfirst dialog function"
        self.curDb = sessionExportDB.sessionExportDB(self, self.titleStr, self.exportMode)
        self.setKeywordTargets()
        return self.curDb

    # This functions sets the paramaters for the parameter Keyword
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def setParameterKeyword(self):
        "This functions sets the paramaters for the parameter Keyword"
        self.paramsKw.setLengthRange(1, 1)
        self.paramsKw.setValue(0, str(self.odbDisableKw.getValue()))
