from abaqusGui import *
import _abqPluginUtils, os

# Use package syntax to avoid possible name clashes with other plugins
#
from abq_SetOperations.setOperationForm import SetOperationForm

# Register commands
#
version = '1.1-1'
status = _abqPluginUtils.checkCompatibility('Set Operation', version)
if status:
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=SetOperationForm(toolset),
        buttonText='Tools|Operate on Sets...',
        messageId=AFXMode.ID_ACTIVATE,
        icon=None,
        kernelInitString='import abq_SetOperations.setOperationUtils\n',
        applicableModules=['Part','Mesh',],
        version=version,
        author='Dassault Systemes Simulia Corp.',
        description='This plug-in allows you to perform basic\n' \
                    'operations, such as union, intersect and complements\n' \
                    'on sets.',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
                '/php/enduser/std_adp.php?p_faqid=3636',
        )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()