from abaqusGui import *
from abq_CaeManagerTemplate.createEditForm import CreateEditForm
from shape.circleDB import CircleDB


###########################################################################
# Class definition
###########################################################################

class CircleForm(CreateEditForm):
                
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner, mode):
    
        CreateEditForm.__init__(self, owner, CircleDB, mode)
        
        if mode == 'CREATE':
            self.cmd = AFXGuiCommand(self, 'Circle', 'mdb.customData')
        
        # You must create a string keyword called self.nameKw.
        # The "self.required" argument is set in the base class,
        # depending on the value of the "mode" argument.
        #
        self.nameKw = AFXStringKeyword(self.cmd, 'name', self.required)   
        self.radiusKw = AFXFloatKeyword(self.cmd, 'radius', self.required)
