from abaqusGui import *
from abq_CaeManagerTemplate.createEditForm import CreateEditForm
from shape.rectangleDB import RectangleDB


###########################################################################
# Class definition
###########################################################################

class RectangleForm(CreateEditForm):
                
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner, mode):
    
        CreateEditForm.__init__(self, owner, RectangleDB, mode)
        
        if mode == 'CREATE':
            self.cmd = AFXGuiCommand(self, 'Rectangle', 'mdb.customData')
                
        # You must create a string keyword called self.nameKw.
        # The "self.required" argument is set in the base class,
        # depending on the value of the "mode" argument.
        #
        self.nameKw = AFXStringKeyword(self.cmd, 'name', self.required)   
        self.widthKw = AFXFloatKeyword(self.cmd, 'width', self.required)
        self.heightKw = AFXFloatKeyword(self.cmd, 'height', self.required)
