from abaqusGui import *
from abq_CaeManagerTemplate.managerForm import ManagerForm
from shape.circleForm import CircleForm
from shape.triangleForm import TriangleForm


###########################################################################
# Rectangle Class definitions
###########################################################################

class RectangleManagerForm(ManagerForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):

        from shape.rectangleForm import RectangleForm    
        rectangleCreateForm = RectangleForm(owner, 'CREATE')
        rectangleEditForm = RectangleForm(owner, 'EDIT')

        # Need to set mode names since infrastructure may default to
        # the first object when activating or calling getFirstStep/dialog
        #
        rectangleCreateForm.setModeName('CreateForm')

        self.repository = 'mdb.customData.rectangles'
        self.baseName = 'Rectangle'

        ManagerForm.__init__(self,
                             owner,
                 createForm= rectangleCreateForm,
                   editForm= rectangleEditForm,
                 repository= self.repository,
                   baseName= self.baseName,
               managerTitle= 'Rectangle Manager')

###########################################################################
# Circle Class definitions
###########################################################################

class CircleManagerForm(ManagerForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):

        from shape.circleForm import CircleForm
        circleCreateForm = CircleForm(owner, 'CREATE')
        circleEditForm = CircleForm(owner, 'EDIT')

        # Need to set mode names since infrastructure may default to
        # the first object when activating or calling getFirstStep/dialog
        #
        circleCreateForm.setModeName('CreateForm')

        self.repository = 'mdb.customData.circles'
        self.baseName = 'Circle'

        ManagerForm.__init__(self,
                             owner,
                 createForm= circleCreateForm,
                   editForm= circleEditForm,
                 repository= self.repository,
                   baseName= self.baseName,
               managerTitle= 'Circle Manager')

###########################################################################
# Triangle Class definitions
###########################################################################

class TriangleManagerForm(ManagerForm):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner):

        from shape.triangleForm import TriangleForm    
        triangleCreateForm = TriangleForm(owner, 'CREATE')
        triangleEditForm = TriangleForm(owner, 'EDIT')

        # Need to set mode names since infrastructure may default to
        # the first object when activating or calling getFirstStep/dialog
        #
        triangleCreateForm.setModeName('CreateForm')

        self.repository = 'mdb.customData.triangles'
        self.baseName = 'Triangle'

        ManagerForm.__init__(self,
                             owner,
                 createForm= triangleCreateForm,
                   editForm= triangleEditForm,
                 repository= self.repository,
                   baseName= self.baseName,
               managerTitle= 'Triangle Manager',
              managerLabels= 'Name\tHypotenuse')

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
    
        if not self.db:
            from shape.triangleManagerDB import TriangleManagerDB
            self.db = TriangleManagerDB(self, self.repository, self.managerTitle, 
                self.managerLabels)
        return self.db