from abaqus import *
from customKernel import CommandRegister


###########################################################################
# Class definition
###########################################################################

class Rectangle(CommandRegister):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, name, width, height):
    
        CommandRegister.__init__(self)
        
        self.name = name
        self.width = width
        self.height = height
        
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def setValues(self, width=None, height=None):
    
        if width: 
            self.width = width
            
        if height: 
            self.height = height

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def copy(self, newName):
    
        exec("mdb.customData.Rectangle('%s', %s, %s)" % \
            (newName, self.width, self.height) )


###########################################################################
# Class definition
###########################################################################

class Circle(CommandRegister):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, name, radius):
    
        CommandRegister.__init__(self)
        
        self.name = name
        self.radius = radius
        
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def setValues(self, radius=None):
    
        if radius: 
            self.radius = radius
            
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def copy(self, newName):
    
        exec("mdb.customData.Circle('%s', %s)" % \
            (newName, self.radius) )


###########################################################################
# Class definition
###########################################################################

class Triangle(CommandRegister):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, name, base, height):
    
        CommandRegister.__init__(self)
        
        self.name = name
        self.base = base
        self.height = height
        self.hypotenuse = (self.base*self.base + self.height*self.height)**.5
        
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def setValues(self, base=None, height=None):
    
        if base: 
            self.base = base
        if height: 
            self.height = height
            
        self.hypotenuse = (self.base*self.base + self.height*self.height)**.5
            
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def copy(self, newName):
    
        exec("mdb.customData.Triangle('%s', %s, %s)" % \
            (newName, self.base, self.height) )


mdb.customData.Repository('rectangles', Rectangle)
mdb.customData.Repository('circles', Circle)
mdb.customData.Repository('triangles', Triangle)
