from abaqusGui import *
from abq_CaeManagerTemplate.createEditForm import CreateEditForm
from shape.triangleDB import TriangleDB


###########################################################################
# Class definition
###########################################################################

class TriangleForm(CreateEditForm):
                
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner, mode):
    
        CreateEditForm.__init__(self, owner, TriangleDB, mode)
        
        if mode == 'CREATE':
            self.cmd = AFXGuiCommand(self, 'Triangle', 'mdb.customData')
        
        # You must create a string keyword called self.nameKw.
        # The "self.required" argument is set in the base class,
        # depending on the value of the "mode" argument.
        #
        self.nameKw = AFXStringKeyword(self.cmd, 'name', self.required)   
        self.baseKw = AFXFloatKeyword(self.cmd, 'base', self.required)
        self.heightKw = AFXFloatKeyword(self.cmd, 'height', self.required)
