from abaqusGui import *

# Register commands
#
version = '1.1-1'

author = 'Dassault Systemes Simulia Corp.'
kernelInitString = ''

# Added the following so that any previously saved data are unpacked properly
# This sends a command to the kernel side to import the class structure 
#
absPath = os.path.abspath(__file__)  
absDir = os.path.dirname(absPath)
sendCommand("sys.path.append(r'%s')" % (absDir))
sendCommand('import shape.shapeModule')

# Use package syntax to avoid possible name clashes with other plugins
#
toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
from shape.shapeManagerForm import RectangleManagerForm
from shape.shapeManagerForm import CircleManagerForm
from shape.shapeManagerForm import TriangleManagerForm
toolset.registerGuiMenuButton(object=RectangleManagerForm(toolset),
                              buttonText=r'Tools|Rectangle Manager..',
                              version=version,
                              author=author,
                              kernelInitString=kernelInitString,
                              )
toolset.registerGuiMenuButton(object=CircleManagerForm(toolset),
                              buttonText=r'Tools|Circle Manager..',
                              version=version,
                              author=author,
                              kernelInitString=kernelInitString,
                              )
toolset.registerGuiMenuButton(object=TriangleManagerForm(toolset),
                              buttonText=r'Tools|Triangle Manager..',
                              version=version,
                              author=author,
                              kernelInitString=kernelInitString,
                              )