from abaqusGui import *
from abaqusConstants import ALL
import osutils, os
from abq_StatusTable.statusTableForm import StatusTableForm

# Register commands
#
version = '1.1-1'

try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('PropagationFeatureMngr', version)
except:    
    status = 'OK'

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
if status == 'OK':
    author = 'Dassault Systemes Simulia Corp.'
    kernelInitString = ''
    helpUrl = r'http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/' \
               'enduser/std_adp.php?p_faqid=5000'
    description = 'Abaqus/CAE plug-in to manage step dependent objects ' 

    # Use package syntax to avoid possible name clashes with other plugins
    #
    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(object=StatusTableForm(toolset),
                                  buttonText='Tools|Propagating Feature Manager',
                                  kernelInitString=kernelInitString,
                                  version=version,
                                  author=author,
                                  applicableModules=("Assembly", "Step", "Interaction", "Load"),
                                  description=description,
                                  helpUrl=helpUrl
                                  )
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()



