from abaqusGui import *
import os, uti

majorNumber, minorNumber, updateNumber = getAFXApp().getBaseVersionNumbers()
verAbaqus = majorNumber * 1.0 + minorNumber * 0.1
if verAbaqus > 6.6:
    import _abqPluginUtils
    
# Use package syntax to avoid possible name clashes with other plugins
#
from abq_SumRF.sumRFForm import SumRFForm

# Register commands
#
version = '1.4-3'
if verAbaqus < 6.5:
    status = 'Plug-in ' + str(version) + ' version was not registered because '\
             'it is not supported in Abaqus version ' + str(uti.getVersion())
elif verAbaqus == 6.6 or verAbaqus == 6.5:
    status = 'OK'
else:
    status = _abqPluginUtils.checkCompatibility('Sum Reaction Force', version)
if status == 'OK':
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(
        object=SumRFForm(toolset),
        buttonText='Visualization|Sum Reaction Forces...',
        messageId=AFXMode.ID_ACTIVATE,
        kernelInitString='import abq_SumRF.sumRFUtils\n'
                         'from abq_SumRF.sumRFSymbConsts import *',
        applicableModules=['Visualization',],
        version=version,
        author='Dassault Systemes Simulia Corp.',
        description='This plug-in allows the user to sum the reaction forces for selected nodes.',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
                '/php/enduser/std_adp.php?p_faqid=3021')
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()