from abaqusGui import *

version = '1.1-3'
try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('Symm Model Generation', version)
except:    
    status = 'OK'

if status=='OK':

    thisPath = os.path.abspath(__file__)
    thisDir = os.path.dirname(thisPath)
    sendCommand("import sys")
    sendCommand("sys.path.append(r'%s')" % thisDir)
    from kernelAccess import *
    from abaqusConstants import *
    import abq_SymmModGenPlugin.symmModGenForm

    # Register commands
    #
    mainWindow = getAFXApp().getAFXMainWindow()
    ins=abq_SymmModGenPlugin.symmModGenForm.AxiFrom3DGui()

    def onModuleSwitch(moduleName):
        if not moduleName == 'Job':
            ins.group.hide()
        else:
            ins.group.show()

    setSwitchModuleHook(onModuleSwitch)
    try:
        mainWindow.registerToolset(ins, GUI_IN_TOOLBAR)
    except:
        print 'Create Parts From Cells Plug-in registration failed'
        pass

else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()