"Contour Options XML derived class"

from abaqus import *
from abaqusConstants import *

import os.path

execfile(os.path.join(os.path.dirname(os.path.dirname(os.path.dirname(__file__))), "commonExec.py")) # Initializes the importFile function
(abqXML, xmlUtils) = importFile(__file__, ("caeXML.kernel.abqXML", "caeXML.kernel.xmlUtils")) # Allows base-package directory to be changed
(settingsModule, ) = importFile(__file__, ("caeXML.viewerPlotOptions.materialOrientationOptions.materialOrientationOptionsSettings", )) # Settings Module

################################################################################

class MaterialOrientationOptionsXML(abqXML.AbqXML):
    "This class specializes the abqXML class for material orientation options export"

    ################################################################################

    def __init__(self):
        self.m_settingsModule = settingsModule
        abqXML.AbqXML.__init__(self)
        self.m_str = ["session.viewports[" + session.currentViewportName.__repr__() + "].odbDisplay.materialOrientationOptions"]
        self.m_objLoadFuncList = [xmlUtils.readOptions] + self.m_objLoadFuncList
        self.m_overwrite = True
        self.m_disableKeyCheck = True # For being able to import options across viewports

    ################################################################################

    def saveInfo(self):
        "This function saves the information about various views into xmldoc"
        return self.parseAndAttachMultiple()

    ################################################################################

    def loadInfo(self, saveEle):
        "This function loads the view information from the xmldoc"

        results = self.detachAndReturn(self.m_str[0], [session.viewports[session.currentViewportName].odbDisplay.materialOrientationOptions])
        return self.numResults(results)

################################################################################
