from abaqusGui import *

# Register commands
#
version = '1.1-2'

try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('Create Viewer Set',
                                                version)
except:    
    status = 'OK'
    
if status == 'OK':
    author = 'Dassault Systemes Simulia Corp.'
    kernelInitString = ''
    helpUrl = 'http://abaqus.custhelp.com/cgi-bin/abaqus.cfg/php/enduser/std_adp.php?p_faqid=2589&p_created=1126901258'
    description = ''

    # Use package syntax to avoid possible name clashes with other plugins
    #
    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    try:
        from abq_ViewerSetSupport.viewerSetManForm import ViewerSetManForm
    except:
        status = 'Unable to import Abaqus/CAE Manager Template module.'
    if status == 'OK':
        toolset.registerGuiMenuButton(object=ViewerSetManForm(toolset),
                                      buttonText=r'Tools|Node/Element Set Manager..',
                                      kernelInitString=kernelInitString,
                                      version=version,
                                      author=author,
                                      applicableModules=('Visualization',),
                                      description=description,
                                      helpUrl=helpUrl
                                      )
    else:
        getAFXApp().getAFXMainWindow().writeToMessageArea(status)
        getAFXApp().beep()
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()
