"Views XML derived class"

from abaqus import *

import os.path

execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the importFile function
(abqXML, xmlUtils) = importFile(__file__, ("caeXML.kernel.abqXML", "caeXML.kernel.xmlUtils")) # Allows base-package directory to be changed
(settingsModule, ) = importFile(__file__, ("caeXML.views.viewsSettings", )) # Settings Module

################################################################################

class ViewsXML(abqXML.AbqXML):
    "This class specializes the abqXML class for session views export"

    ################################################################################

    def __init__(self):
        self.m_settingsModule = settingsModule
        abqXML.AbqXML.__init__(self)
        self.m_str = ["session.views[]"]
        self.m_overwrite = True
        self.m_getConstructorNameForObject = {'SavedView':'View'}

    ################################################################################
    
    def saveInfo(self):
        "This function saves the information about various views into xmldoc"
        return self.parseAndAttachMultiple()

    ################################################################################

    def loadInfo(self, saveEle):
        "This function loads the view information from the xmldoc"

        results = self.detachAndReturn(self.m_str[0], [session])
        return self.numResults(results)
    
################################################################################
